Package org.eclipse.birt.chart.model.attribute

# Interface AttributePackage

All Superinterfaces:
  `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.ENamedElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EPackage`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `AttributePackageImpl`

public interface AttributePackage extends org.eclipse.emf.ecore.EPackage
The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Schema file for the chart.model package.

See Also:
  - `AttributeFactory`

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`AttributePackage.Literals`
Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ACCESSIBILITY_VALUE`
The meta object id for the '`Accessibility Value`' class.
`static final int`
`ACCESSIBILITY_VALUE__ACCESSIBILITY`
The feature id for the 'Accessibility' attribute.
`static final int`
`ACCESSIBILITY_VALUE__LABEL`
The feature id for the 'Label' containment reference.
`static final int`
`ACCESSIBILITY_VALUE__TEXT`
The feature id for the 'Text' attribute.
`static final int`
`ACCESSIBILITY_VALUE_FEATURE_COUNT`
The number of structural features of the 'Accessibility Value' class.
`static final int`
`ACTION_TYPE`
The meta object id for the '`Action Type`' enum.
`static final int`
`ACTION_TYPE_OBJECT`
The meta object id for the 'Action Type Object' data type.
`static final int`
`ACTION_VALUE`
The meta object id for the '`Action Value`' class.
`static final int`
`ACTION_VALUE__LABEL`
The feature id for the 'Label' containment reference.
`static final int`
`ACTION_VALUE_FEATURE_COUNT`
The number of structural features of the 'Action Value' class.
`static final int`
`ANCHOR`
The meta object id for the '`Anchor`' enum.
`static final int`
`ANCHOR_OBJECT`
The meta object id for the 'Anchor Object' data type.
`static final int`
`ANGLE_TYPE`
The meta object id for the '`Angle Type`' enum.
`static final int`
`ANGLE_TYPE_OBJECT`
The meta object id for the 'Angle Type Object' data type.
`static final int`
`ANGLE3_D`
The meta object id for the '`Angle3 D`' class.
`static final int`
`ANGLE3_D__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`ANGLE3_D__XANGLE`
The feature id for the 'XAngle' attribute.
`static final int`
`ANGLE3_D__YANGLE`
The feature id for the 'YAngle' attribute.
`static final int`
`ANGLE3_D__ZANGLE`
The feature id for the 'ZAngle' attribute.
`static final int`
`ANGLE3_D_FEATURE_COUNT`
The number of structural features of the 'Angle3 D' class.
`static final int`
`AXIS_ORIGIN`
The meta object id for the '`Axis Origin`' class.
`static final int`
`AXIS_ORIGIN__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`AXIS_ORIGIN__VALUE`
The feature id for the 'Value' containment reference.
`static final int`
`AXIS_ORIGIN_FEATURE_COUNT`
The number of structural features of the 'Axis Origin' class.
`static final int`
`AXIS_TYPE`
The meta object id for the '`Axis Type`' enum.
`static final int`
`AXIS_TYPE_OBJECT`
The meta object id for the 'Axis Type Object' data type.
`static final int`
`BOUNDS`
The meta object id for the '`Bounds`' class.
`static final int`
`BOUNDS__HEIGHT`
The feature id for the 'Height' attribute.
`static final int`
`BOUNDS__LEFT`
The feature id for the 'Left' attribute.
`static final int`
`BOUNDS__TOP`
The feature id for the 'Top' attribute.
`static final int`
`BOUNDS__WIDTH`
The feature id for the 'Width' attribute.
`static final int`
`BOUNDS_FEATURE_COUNT`
The number of structural features of the 'Bounds' class.
`static final int`
`CALL_BACK_VALUE`
The meta object id for the '`Call Back Value`' class.
`static final int`
`CALL_BACK_VALUE__IDENTIFIER`
The feature id for the 'Identifier' attribute.
`static final int`
`CALL_BACK_VALUE__LABEL`
The feature id for the 'Label' containment reference.
`static final int`
`CALL_BACK_VALUE_FEATURE_COUNT`
The number of structural features of the 'Call Back Value' class.
`static final int`
`CHART_DIMENSION`
The meta object id for the '`Chart Dimension`' enum.
`static final int`
`CHART_DIMENSION_OBJECT`
The meta object id for the 'Chart Dimension Object' data type.
`static final int`
`CHART_TYPE`
The meta object id for the '`Chart Type`' enum.
`static final int`
`CHART_TYPE_OBJECT`
The meta object id for the 'Chart Type Object' data type.
`static final int`
`COLOR_DEFINITION`
The meta object id for the '`Color Definition`' class.
`static final int`
`COLOR_DEFINITION__BLUE`
The feature id for the 'Blue' attribute.
`static final int`
`COLOR_DEFINITION__GREEN`
The feature id for the 'Green' attribute.
`static final int`
`COLOR_DEFINITION__RED`
The feature id for the 'Red' attribute.
`static final int`
`COLOR_DEFINITION__TRANSPARENCY`
The feature id for the 'Transparency' attribute.
`static final int`
`COLOR_DEFINITION__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`COLOR_DEFINITION_FEATURE_COUNT`
The number of structural features of the 'Color Definition' class.
`static final int`
`CURSOR`
The meta object id for the '`Cursor`' class.
`static final int`
`CURSOR__IMAGE`
The feature id for the 'Image' containment reference list.
`static final int`
`CURSOR__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`CURSOR_FEATURE_COUNT`
The number of structural features of the 'Cursor' class.
`static final int`
`CURSOR_TYPE`
The meta object id for the '`Cursor Type`' enum.
`static final int`
`CURSOR_TYPE_OBJECT`
The meta object id for the 'Cursor Type Object' data type.
`static final int`
`DATA_POINT`
The meta object id for the '`Data Point`' class.
`static final int`
`DATA_POINT__COMPONENTS`
The feature id for the 'Components' containment reference list.
`static final int`
`DATA_POINT__PREFIX`
The feature id for the 'Prefix' attribute.
`static final int`
`DATA_POINT__SEPARATOR`
The feature id for the 'Separator' attribute.
`static final int`
`DATA_POINT__SUFFIX`
The feature id for the 'Suffix' attribute.
`static final int`
`DATA_POINT_COMPONENT`
The meta object id for the '`Data Point Component`' class.
`static final int`
`DATA_POINT_COMPONENT__FORMAT_SPECIFIER`
The feature id for the 'Format Specifier' containment reference.
`static final int`
`DATA_POINT_COMPONENT__ORTHOGONAL_TYPE`
The feature id for the 'Orthogonal Type' attribute.
`static final int`
`DATA_POINT_COMPONENT__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`DATA_POINT_COMPONENT_FEATURE_COUNT`
The number of structural features of the 'Data Point Component' class.
`static final int`
`DATA_POINT_COMPONENT_TYPE`
The meta object id for the '`Data Point Component Type`' enum.
`static final int`
`DATA_POINT_COMPONENT_TYPE_OBJECT`
The meta object id for the 'Data Point Component Type Object' data type.
`static final int`
`DATA_POINT_FEATURE_COUNT`
The number of structural features of the 'Data Point' class.
`static final int`
`DATA_TYPE`
The meta object id for the '`Data Type`' enum.
`static final int`
`DATA_TYPE_OBJECT`
The meta object id for the 'Data Type Object' data type.
`static final int`
`DATE_FORMAT_DETAIL`
The meta object id for the '`Date Format Detail`' enum.
`static final int`
`DATE_FORMAT_DETAIL_OBJECT`
The meta object id for the 'Date Format Detail Object' data type.
`static final int`
`DATE_FORMAT_SPECIFIER`
The meta object id for the '`Date Format Specifier`' class.
`static final int`
`DATE_FORMAT_SPECIFIER__DETAIL`
The feature id for the 'Detail' attribute.
`static final int`
`DATE_FORMAT_SPECIFIER__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`DATE_FORMAT_SPECIFIER_FEATURE_COUNT`
The number of structural features of the 'Date Format Specifier' class.
`static final int`
`DATE_FORMAT_TYPE`
The meta object id for the '`Date Format Type`' enum.
`static final int`
`DATE_FORMAT_TYPE_OBJECT`
The meta object id for the 'Date Format Type Object' data type.
`static final int`
`DIRECTION`
The meta object id for the '`Direction`' enum.
`static final int`
`DIRECTION_OBJECT`
The meta object id for the 'Direction Object' data type.
`static final AttributePackage`
`eINSTANCE`
The singleton instance of the package.
`static final int`
`EMBEDDED_IMAGE`
The meta object id for the '`Embedded Image`' class.
`static final int`
`EMBEDDED_IMAGE__DATA`
The feature id for the 'Data' attribute.
`static final int`
`EMBEDDED_IMAGE__SOURCE`
The feature id for the 'Source' attribute.
`static final int`
`EMBEDDED_IMAGE__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`EMBEDDED_IMAGE__URL`
The feature id for the 'URL' attribute.
`static final int`
`EMBEDDED_IMAGE_FEATURE_COUNT`
The number of structural features of the 'Embedded Image' class.
`static final String`
`eNAME`
The package name.
`static final String`
`eNS_PREFIX`
The package namespace name.
`static final String`
`eNS_URI`
The package namespace URI.
`static final int`
`ESTRING_TO_STRING_MAP_ENTRY`
The meta object id for the '`EString To String Map Entry`' class.
`static final int`
`ESTRING_TO_STRING_MAP_ENTRY__KEY`
The feature id for the 'Key' attribute.
`static final int`
`ESTRING_TO_STRING_MAP_ENTRY__VALUE`
The feature id for the 'Value' attribute.
`static final int`
`ESTRING_TO_STRING_MAP_ENTRY_FEATURE_COUNT`
The number of structural features of the 'EString To String Map Entry' class.
`static final int`
`EXTENDED_PROPERTY`
The meta object id for the '`Extended Property`' class.
`static final int`
`EXTENDED_PROPERTY__NAME`
The feature id for the 'Name' attribute.
`static final int`
`EXTENDED_PROPERTY__VALUE`
The feature id for the 'Value' attribute.
`static final int`
`EXTENDED_PROPERTY_FEATURE_COUNT`
The number of structural features of the 'Extended Property' class.
`static final int`
`FILL`
The meta object id for the '`Fill`' class.
`static final int`
`FILL__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`FILL_FEATURE_COUNT`
The number of structural features of the 'Fill' class.
`static final int`
`FONT_DEFINITION`
The meta object id for the '`Font Definition`' class.
`static final int`
`FONT_DEFINITION__ALIGNMENT`
The feature id for the 'Alignment' containment reference.
`static final int`
`FONT_DEFINITION__BOLD`
The feature id for the 'Bold' attribute.
`static final int`
`FONT_DEFINITION__ITALIC`
The feature id for the 'Italic' attribute.
`static final int`
`FONT_DEFINITION__NAME`
The feature id for the 'Name' attribute.
`static final int`
`FONT_DEFINITION__ROTATION`
The feature id for the 'Rotation' attribute.
`static final int`
`FONT_DEFINITION__SIZE`
The feature id for the 'Size' attribute.
`static final int`
`FONT_DEFINITION__STRIKETHROUGH`
The feature id for the 'Strikethrough' attribute.
`static final int`
`FONT_DEFINITION__UNDERLINE`
The feature id for the 'Underline' attribute.
`static final int`
`FONT_DEFINITION__WORD_WRAP`
The feature id for the 'Word Wrap' attribute.
`static final int`
`FONT_DEFINITION_FEATURE_COUNT`
The number of structural features of the 'Font Definition' class.
`static final int`
`FORMAT_SPECIFIER`
The meta object id for the '`Format Specifier`' class.
`static final int`
`FORMAT_SPECIFIER_FEATURE_COUNT`
The number of structural features of the 'Format Specifier' class.
`static final int`
`FRACTION_NUMBER_FORMAT_SPECIFIER`
The meta object id for the '`Fraction Number Format Specifier`' class.
`static final int`
`FRACTION_NUMBER_FORMAT_SPECIFIER__DELIMITER`
The feature id for the 'Delimiter' attribute.
`static final int`
`FRACTION_NUMBER_FORMAT_SPECIFIER__FRACTION_DIGITS`
The feature id for the 'Fraction Digits' attribute.
`static final int`
`FRACTION_NUMBER_FORMAT_SPECIFIER__NUMERATOR`
The feature id for the 'Numerator' attribute.
`static final int`
`FRACTION_NUMBER_FORMAT_SPECIFIER__PRECISE`
The feature id for the 'Precise' attribute.
`static final int`
`FRACTION_NUMBER_FORMAT_SPECIFIER__PREFIX`
The feature id for the 'Prefix' attribute.
`static final int`
`FRACTION_NUMBER_FORMAT_SPECIFIER__SUFFIX`
The feature id for the 'Suffix' attribute.
`static final int`
`FRACTION_NUMBER_FORMAT_SPECIFIER_FEATURE_COUNT`
The number of structural features of the 'Fraction Number Format Specifier' class.
`static final int`
`GRADIENT`
The meta object id for the '`Gradient`' class.
`static final int`
`GRADIENT__CYCLIC`
The feature id for the 'Cyclic' attribute.
`static final int`
`GRADIENT__DIRECTION`
The feature id for the 'Direction' attribute.
`static final int`
`GRADIENT__END_COLOR`
The feature id for the 'End Color' containment reference.
`static final int`
`GRADIENT__START_COLOR`
The feature id for the 'Start Color' containment reference.
`static final int`
`GRADIENT__TRANSPARENCY`
The feature id for the 'Transparency' attribute.
`static final int`
`GRADIENT__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`GRADIENT_FEATURE_COUNT`
The number of structural features of the 'Gradient' class.
`static final int`
`GROUPING_UNIT_TYPE`
The meta object id for the '`Grouping Unit Type`' enum.
`static final int`
`GROUPING_UNIT_TYPE_OBJECT`
The meta object id for the 'Grouping Unit Type Object' data type.
`static final int`
`HORIZONTAL_ALIGNMENT`
The meta object id for the '`Horizontal Alignment`' enum.
`static final int`
`HORIZONTAL_ALIGNMENT_OBJECT`
The meta object id for the 'Horizontal Alignment Object' data type.
`static final int`
`ID`
The meta object id for the 'ID' data type.
`static final int`
`IMAGE`
The meta object id for the '`Image`' class.
`static final int`
`IMAGE__SOURCE`
The feature id for the 'Source' attribute.
`static final int`
`IMAGE__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`IMAGE__URL`
The feature id for the 'URL' attribute.
`static final int`
`IMAGE_FEATURE_COUNT`
The number of structural features of the 'Image' class.
`static final int`
`IMAGE_SOURCE_TYPE`
The meta object id for the '`Image Source Type`' enum.
`static final int`
`IMAGE_SOURCE_TYPE_OBJECT`
The meta object id for the 'Image Source Type Object' data type.
`static final int`
`INSETS`
The meta object id for the '`Insets`' class.
`static final int`
`INSETS__BOTTOM`
The feature id for the 'Bottom' attribute.
`static final int`
`INSETS__LEFT`
The feature id for the 'Left' attribute.
`static final int`
`INSETS__RIGHT`
The feature id for the 'Right' attribute.
`static final int`
`INSETS__TOP`
The feature id for the 'Top' attribute.
`static final int`
`INSETS_FEATURE_COUNT`
The number of structural features of the 'Insets' class.
`static final int`
`INTERACTIVITY`
The meta object id for the '`Interactivity`' class.
`static final int`
`INTERACTIVITY__ENABLE`
The feature id for the 'Enable' attribute.
`static final int`
`INTERACTIVITY__LEGEND_BEHAVIOR`
The feature id for the 'Legend Behavior' attribute.
`static final int`
`INTERACTIVITY_FEATURE_COUNT`
The number of structural features of the 'Interactivity' class.
`static final int`
`INTERSECTION_TYPE`
The meta object id for the '`Intersection Type`' enum.
`static final int`
`INTERSECTION_TYPE_OBJECT`
The meta object id for the 'Intersection Type Object' data type.
`static final int`
`JAVA_DATE_FORMAT_SPECIFIER`
The meta object id for the '`Java Date Format Specifier`' class.
`static final int`
`JAVA_DATE_FORMAT_SPECIFIER__PATTERN`
The feature id for the 'Pattern' attribute.
`static final int`
`JAVA_DATE_FORMAT_SPECIFIER_FEATURE_COUNT`
The number of structural features of the 'Java Date Format Specifier' class.
`static final int`
`JAVA_NUMBER_FORMAT_SPECIFIER`
The meta object id for the '`Java Number Format Specifier`' class.
`static final int`
`JAVA_NUMBER_FORMAT_SPECIFIER__MULTIPLIER`
The feature id for the 'Multiplier' attribute.
`static final int`
`JAVA_NUMBER_FORMAT_SPECIFIER__PATTERN`
The feature id for the 'Pattern' attribute.
`static final int`
`JAVA_NUMBER_FORMAT_SPECIFIER_FEATURE_COUNT`
The number of structural features of the 'Java Number Format Specifier' class.
`static final int`
`LEADER_LINE_STYLE`
The meta object id for the '`Leader Line Style`' enum.
`static final int`
`LEADER_LINE_STYLE_OBJECT`
The meta object id for the 'Leader Line Style Object' data type.
`static final int`
`LEGEND_BEHAVIOR_TYPE`
The meta object id for the '`Legend Behavior Type`' enum.
`static final int`
`LEGEND_BEHAVIOR_TYPE_OBJECT`
The meta object id for the 'Legend Behavior Type Object' data type.
`static final int`
`LEGEND_ITEM_TYPE`
The meta object id for the '`Legend Item Type`' enum.
`static final int`
`LEGEND_ITEM_TYPE_OBJECT`
The meta object id for the 'Legend Item Type Object' data type.
`static final int`
`LINE_ATTRIBUTES`
The meta object id for the '`Line Attributes`' class.
`static final int`
`LINE_ATTRIBUTES__COLOR`
The feature id for the 'Color' containment reference.
`static final int`
`LINE_ATTRIBUTES__STYLE`
The feature id for the 'Style' attribute.
`static final int`
`LINE_ATTRIBUTES__THICKNESS`
The feature id for the 'Thickness' attribute.
`static final int`
`LINE_ATTRIBUTES__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`LINE_ATTRIBUTES_FEATURE_COUNT`
The number of structural features of the 'Line Attributes' class.
`static final int`
`LINE_DECORATOR`
The meta object id for the '`Line Decorator`' enum.
`static final int`
`LINE_DECORATOR_OBJECT`
The meta object id for the 'Line Decorator Object' data type.
`static final int`
`LINE_STYLE`
The meta object id for the '`Line Style`' enum.
`static final int`
`LINE_STYLE_OBJECT`
The meta object id for the 'Line Style Object' data type.
`static final int`
`LOCATION`
The meta object id for the '`Location`' class.
`static final int`
`LOCATION__X`
The feature id for the 'X' attribute.
`static final int`
`LOCATION__Y`
The feature id for the 'Y' attribute.
`static final int`
`LOCATION_FEATURE_COUNT`
The number of structural features of the 'Location' class.
`static final int`
`LOCATION3_D`
The meta object id for the '`Location3 D`' class.
`static final int`
`LOCATION3_D__X`
The feature id for the 'X' attribute.
`static final int`
`LOCATION3_D__Y`
The feature id for the 'Y' attribute.
`static final int`
`LOCATION3_D__Z`
The feature id for the 'Z' attribute.
`static final int`
`LOCATION3_D_FEATURE_COUNT`
The number of structural features of the 'Location3 D' class.
`static final int`
`MARKER`
The meta object id for the '`Marker`' class.
`static final int`
`MARKER__FILL`
The feature id for the 'Fill' containment reference.
`static final int`
`MARKER__ICON_PALETTE`
The feature id for the 'Icon Palette' containment reference.
`static final int`
`MARKER__OUTLINE`
The feature id for the 'Outline' containment reference.
`static final int`
`MARKER__SIZE`
The feature id for the 'Size' attribute.
`static final int`
`MARKER__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`MARKER__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`MARKER_FEATURE_COUNT`
The number of structural features of the 'Marker' class.
`static final int`
`MARKER_TYPE`
The meta object id for the '`Marker Type`' enum.
`static final int`
`MARKER_TYPE_OBJECT`
The meta object id for the 'Marker Type Object' data type.
`static final int`
`MENU_STYLES_KEY_TYPE`
The meta object id for the '`Menu Styles Key Type`' enum.
`static final int`
`MENU_STYLES_KEY_TYPE_OBJECT`
The meta object id for the 'Menu Styles Key Type Object' data type.
`static final int`
`MULTI_URL_VALUES`
The meta object id for the '`Multi URL Values`' class.
`static final int`
`MULTI_URL_VALUES__LABEL`
The feature id for the 'Label' containment reference.
`static final int`
`MULTI_URL_VALUES__PROPERTIES_MAP`
The feature id for the 'Properties Map' map.
`static final int`
`MULTI_URL_VALUES__TOOLTIP`
The feature id for the 'Tooltip' attribute.
`static final int`
`MULTI_URL_VALUES__URL_VALUES`
The feature id for the 'URL Values' containment reference list.
`static final int`
`MULTI_URL_VALUES_FEATURE_COUNT`
The number of structural features of the 'Multi URL Values' class.
`static final int`
`MULTIPLE_FILL`
The meta object id for the '`Multiple Fill`' class.
`static final int`
`MULTIPLE_FILL__FILLS`
The feature id for the 'Fills' containment reference list.
`static final int`
`MULTIPLE_FILL__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`MULTIPLE_FILL_FEATURE_COUNT`
The number of structural features of the 'Multiple Fill' class.
`static final int`
`NUMBER_FORMAT_SPECIFIER`
The meta object id for the '`Number Format Specifier`' class.
`static final int`
`NUMBER_FORMAT_SPECIFIER__FRACTION_DIGITS`
The feature id for the 'Fraction Digits' attribute.
`static final int`
`NUMBER_FORMAT_SPECIFIER__MULTIPLIER`
The feature id for the 'Multiplier' attribute.
`static final int`
`NUMBER_FORMAT_SPECIFIER__PREFIX`
The feature id for the 'Prefix' attribute.
`static final int`
`NUMBER_FORMAT_SPECIFIER__SUFFIX`
The feature id for the 'Suffix' attribute.
`static final int`
`NUMBER_FORMAT_SPECIFIER_FEATURE_COUNT`
The number of structural features of the 'Number Format Specifier' class.
`static final int`
`ORIENTATION`
The meta object id for the '`Orientation`' enum.
`static final int`
`ORIENTATION_OBJECT`
The meta object id for the 'Orientation Object' data type.
`static final int`
`PALETTE`
The meta object id for the '`Palette`' class.
`static final int`
`PALETTE__ENTRIES`
The feature id for the 'Entries' containment reference list.
`static final int`
`PALETTE__NAME`
The feature id for the 'Name' attribute.
`static final int`
`PALETTE_FEATURE_COUNT`
The number of structural features of the 'Palette' class.
`static final int`
`PATTERN_BITMAP`
The meta object id for the 'Pattern Bitmap' data type.
`static final int`
`PATTERN_BITMAP_OBJECT`
The meta object id for the 'Pattern Bitmap Object' data type.
`static final int`
`PATTERN_IMAGE`
The meta object id for the '`Pattern Image`' class.
`static final int`
`PATTERN_IMAGE__BACK_COLOR`
The feature id for the 'Back Color' containment reference.
`static final int`
`PATTERN_IMAGE__BITMAP`
The feature id for the 'Bitmap' attribute.
`static final int`
`PATTERN_IMAGE__FORE_COLOR`
The feature id for the 'Fore Color' containment reference.
`static final int`
`PATTERN_IMAGE__SOURCE`
The feature id for the 'Source' attribute.
`static final int`
`PATTERN_IMAGE__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`PATTERN_IMAGE__URL`
The feature id for the 'URL' attribute.
`static final int`
`PATTERN_IMAGE_FEATURE_COUNT`
The number of structural features of the 'Pattern Image' class.
`static final int`
`PERCENTAGE`
The meta object id for the 'Percentage' data type.
`static final int`
`PERCENTAGE_OBJECT`
The meta object id for the 'Percentage Object' data type.
`static final int`
`POSITION`
The meta object id for the '`Position`' enum.
`static final int`
`POSITION_OBJECT`
The meta object id for the 'Position Object' data type.
`static final int`
`RGB_VALUE`
The meta object id for the 'RGB Value' data type.
`static final int`
`RGB_VALUE_OBJECT`
The meta object id for the 'RGB Value Object' data type.
`static final int`
`RISER_TYPE`
The meta object id for the '`Riser Type`' enum.
`static final int`
`RISER_TYPE_OBJECT`
The meta object id for the 'Riser Type Object' data type.
`static final int`
`ROTATION3_D`
The meta object id for the '`Rotation3 D`' class.
`static final int`
`ROTATION3_D__ANGLES`
The feature id for the 'Angles' containment reference list.
`static final int`
`ROTATION3_D_FEATURE_COUNT`
The number of structural features of the 'Rotation3 D' class.
`static final int`
`RULE_TYPE`
The meta object id for the '`Rule Type`' enum.
`static final int`
`RULE_TYPE_OBJECT`
The meta object id for the 'Rule Type Object' data type.
`static final int`
`SCALE_UNIT_TYPE`
The meta object id for the '`Scale Unit Type`' enum.
`static final int`
`SCALE_UNIT_TYPE_OBJECT`
The meta object id for the 'Scale Unit Type Object' data type.
`static final int`
`SCRIPT_VALUE`
The meta object id for the '`Script Value`' class.
`static final int`
`SCRIPT_VALUE__LABEL`
The feature id for the 'Label' containment reference.
`static final int`
`SCRIPT_VALUE__SCRIPT`
The feature id for the 'Script' attribute.
`static final int`
`SCRIPT_VALUE_FEATURE_COUNT`
The number of structural features of the 'Script Value' class.
`static final int`
`SERIES_VALUE`
The meta object id for the '`Series Value`' class.
`static final int`
`SERIES_VALUE__LABEL`
The feature id for the 'Label' containment reference.
`static final int`
`SERIES_VALUE__NAME`
The feature id for the 'Name' attribute.
`static final int`
`SERIES_VALUE_FEATURE_COUNT`
The number of structural features of the 'Series Value' class.
`static final int`
`SIZE`
The meta object id for the '`Size`' class.
`static final int`
`SIZE__HEIGHT`
The feature id for the 'Height' attribute.
`static final int`
`SIZE__WIDTH`
The feature id for the 'Width' attribute.
`static final int`
`SIZE_FEATURE_COUNT`
The number of structural features of the 'Size' class.
`static final int`
`SORT_OPTION`
The meta object id for the '`Sort Option`' enum.
`static final int`
`SORT_OPTION_OBJECT`
The meta object id for the 'Sort Option Object' data type.
`static final int`
`STRETCH`
The meta object id for the '`Stretch`' enum.
`static final int`
`STRETCH_OBJECT`
The meta object id for the 'Stretch Object' data type.
`static final int`
`STRING_FORMAT_SPECIFIER`
The meta object id for the '`String Format Specifier`' class.
`static final int`
`STRING_FORMAT_SPECIFIER__PATTERN`
The feature id for the 'Pattern' attribute.
`static final int`
`STRING_FORMAT_SPECIFIER_FEATURE_COUNT`
The number of structural features of the 'String Format Specifier' class.
`static final int`
`STYLE`
The meta object id for the '`Style`' class.
`static final int`
`STYLE__BACKGROUND_COLOR`
The feature id for the 'Background Color' containment reference.
`static final int`
`STYLE__BACKGROUND_IMAGE`
The feature id for the 'Background Image' containment reference.
`static final int`
`STYLE__COLOR`
The feature id for the 'Color' containment reference.
`static final int`
`STYLE__FONT`
The feature id for the 'Font' containment reference.
`static final int`
`STYLE__PADDING`
The feature id for the 'Padding' containment reference.
`static final int`
`STYLE_FEATURE_COUNT`
The number of structural features of the 'Style' class.
`static final int`
`STYLE_MAP`
The meta object id for the '`Style Map`' class.
`static final int`
`STYLE_MAP__COMPONENT_NAME`
The feature id for the 'Component Name' attribute.
`static final int`
`STYLE_MAP__STYLE`
The feature id for the 'Style' attribute.
`static final int`
`STYLE_MAP_FEATURE_COUNT`
The number of structural features of the 'Style Map' class.
`static final int`
`STYLED_COMPONENT`
The meta object id for the '`Styled Component`' enum.
`static final int`
`STYLED_COMPONENT_OBJECT`
The meta object id for the 'Styled Component Object' data type.
`static final int`
`TEXT`
The meta object id for the '`Text`' class.
`static final int`
`TEXT__COLOR`
The feature id for the 'Color' containment reference.
`static final int`
`TEXT__FONT`
The feature id for the 'Font' containment reference.
`static final int`
`TEXT__VALUE`
The feature id for the 'Value' attribute.
`static final int`
`TEXT_ALIGNMENT`
The meta object id for the '`Text Alignment`' class.
`static final int`
`TEXT_ALIGNMENT__HORIZONTAL_ALIGNMENT`
The feature id for the 'Horizontal Alignment' attribute.
`static final int`
`TEXT_ALIGNMENT__VERTICAL_ALIGNMENT`
The feature id for the 'Vertical Alignment' attribute.
`static final int`
`TEXT_ALIGNMENT_FEATURE_COUNT`
The number of structural features of the 'Text Alignment' class.
`static final int`
`TEXT_FEATURE_COUNT`
The number of structural features of the 'Text' class.
`static final int`
`TICK_STYLE`
The meta object id for the '`Tick Style`' enum.
`static final int`
`TICK_STYLE_OBJECT`
The meta object id for the 'Tick Style Object' data type.
`static final int`
`TOOLTIP_VALUE`
The meta object id for the '`Tooltip Value`' class.
`static final int`
`TOOLTIP_VALUE__DELAY`
The feature id for the 'Delay' attribute.
`static final int`
`TOOLTIP_VALUE__FORMAT_SPECIFIER`
The feature id for the 'Format Specifier' containment reference.
`static final int`
`TOOLTIP_VALUE__LABEL`
The feature id for the 'Label' containment reference.
`static final int`
`TOOLTIP_VALUE__TEXT`
The feature id for the 'Text' attribute.
`static final int`
`TOOLTIP_VALUE_FEATURE_COUNT`
The number of structural features of the 'Tooltip Value' class.
`static final int`
`TRIGGER_CONDITION`
The meta object id for the '`Trigger Condition`' enum.
`static final int`
`TRIGGER_CONDITION_OBJECT`
The meta object id for the 'Trigger Condition Object' data type.
`static final int`
`TRIGGER_FLOW`
The meta object id for the '`Trigger Flow`' enum.
`static final int`
`TRIGGER_FLOW_OBJECT`
The meta object id for the 'Trigger Flow Object' data type.
`static final int`
`UNITS_OF_MEASUREMENT`
The meta object id for the '`Units Of Measurement`' enum.
`static final int`
`UNITS_OF_MEASUREMENT_OBJECT`
The meta object id for the 'Units Of Measurement Object' data type.
`static final int`
`URL_VALUE`
The meta object id for the '`URL Value`' class.
`static final int`
`URL_VALUE__BASE_PARAMETER_NAME`
The feature id for the 'Base Parameter Name' attribute.
`static final int`
`URL_VALUE__BASE_URL`
The feature id for the 'Base Url' attribute.
`static final int`
`URL_VALUE__LABEL`
The feature id for the 'Label' containment reference.
`static final int`
`URL_VALUE__SERIES_PARAMETER_NAME`
The feature id for the 'Series Parameter Name' attribute.
`static final int`
`URL_VALUE__TARGET`
The feature id for the 'Target' attribute.
`static final int`
`URL_VALUE__TOOLTIP`
The feature id for the 'Tooltip' attribute.
`static final int`
`URL_VALUE__VALUE_PARAMETER_NAME`
The feature id for the 'Value Parameter Name' attribute.
`static final int`
`URL_VALUE_FEATURE_COUNT`
The number of structural features of the 'URL Value' class.
`static final int`
`VERTICAL_ALIGNMENT`
The meta object id for the '`Vertical Alignment`' enum.
`static final int`
`VERTICAL_ALIGNMENT_OBJECT`
The meta object id for the 'Vertical Alignment Object' data type.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.ecore.EClass`
`getAccessibilityValue()`
Returns the meta object for class '`Accessibility Value`'.
`org.eclipse.emf.ecore.EAttribute`
`getAccessibilityValue_Accessibility()`
Returns the meta object for the attribute '`Accessibility`'.
`org.eclipse.emf.ecore.EAttribute`
`getAccessibilityValue_Text()`
Returns the meta object for the attribute '`Text`'.
`org.eclipse.emf.ecore.EEnum`
`getActionType()`
Returns the meta object for enum '`Action Type`'.
`org.eclipse.emf.ecore.EDataType`
`getActionTypeObject()`
Returns the meta object for data type '`Action Type Object`'.
`org.eclipse.emf.ecore.EClass`
`getActionValue()`
Returns the meta object for class '`Action Value`'.
`org.eclipse.emf.ecore.EReference`
`getActionValue_Label()`
Returns the meta object for the containment reference '`Label`'.
`org.eclipse.emf.ecore.EEnum`
`getAnchor()`
Returns the meta object for enum '`Anchor`'.
`org.eclipse.emf.ecore.EDataType`
`getAnchorObject()`
Returns the meta object for data type '`Anchor Object`'.
`org.eclipse.emf.ecore.EClass`
`getAngle3D()`
Returns the meta object for class '`Angle3 D`'.
`org.eclipse.emf.ecore.EAttribute`
`getAngle3D_Type()`
Returns the meta object for the attribute '`Type`'.
`org.eclipse.emf.ecore.EAttribute`
`getAngle3D_XAngle()`
Returns the meta object for the attribute '`XAngle`'.
`org.eclipse.emf.ecore.EAttribute`
`getAngle3D_YAngle()`
Returns the meta object for the attribute '`YAngle`'.
`org.eclipse.emf.ecore.EAttribute`
`getAngle3D_ZAngle()`
Returns the meta object for the attribute '`ZAngle`'.
`org.eclipse.emf.ecore.EEnum`
`getAngleType()`
Returns the meta object for enum '`Angle Type`'.
`org.eclipse.emf.ecore.EDataType`
`getAngleTypeObject()`
Returns the meta object for data type '`Angle Type Object`'.
`AttributeFactory`
`getAttributeFactory()`
Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EClass`
`getAxisOrigin()`
Returns the meta object for class '`Axis Origin`'.
`org.eclipse.emf.ecore.EAttribute`
`getAxisOrigin_Type()`
Returns the meta object for the attribute '`Type`'.
`org.eclipse.emf.ecore.EReference`
`getAxisOrigin_Value()`
Returns the meta object for the containment reference '`Value`'.
`org.eclipse.emf.ecore.EEnum`
`getAxisType()`
Returns the meta object for enum '`Axis Type`'.
`org.eclipse.emf.ecore.EDataType`
`getAxisTypeObject()`
Returns the meta object for data type '`Axis Type Object`'.
`org.eclipse.emf.ecore.EClass`
`getBounds()`
Returns the meta object for class '`Bounds`'.
`org.eclipse.emf.ecore.EAttribute`
`getBounds_Height()`
Returns the meta object for the attribute '`Height`'.
`org.eclipse.emf.ecore.EAttribute`
`getBounds_Left()`
Returns the meta object for the attribute '`Left`'.
`org.eclipse.emf.ecore.EAttribute`
`getBounds_Top()`
Returns the meta object for the attribute '`Top`'.
`org.eclipse.emf.ecore.EAttribute`
`getBounds_Width()`
Returns the meta object for the attribute '`Width`'.
`org.eclipse.emf.ecore.EClass`
`getCallBackValue()`
Returns the meta object for class '`Call Back Value`'.
`org.eclipse.emf.ecore.EAttribute`
`getCallBackValue_Identifier()`
Returns the meta object for the attribute '`Identifier`'.
`org.eclipse.emf.ecore.EEnum`
`getChartDimension()`
Returns the meta object for enum '`Chart Dimension`'.
`org.eclipse.emf.ecore.EDataType`
`getChartDimensionObject()`
Returns the meta object for data type '`Chart Dimension Object`'.
`org.eclipse.emf.ecore.EEnum`
`getChartType()`
Returns the meta object for enum '`Chart Type`'.
`org.eclipse.emf.ecore.EDataType`
`getChartTypeObject()`
Returns the meta object for data type '`Chart Type Object`'.
`org.eclipse.emf.ecore.EClass`
`getColorDefinition()`
Returns the meta object for class '`Color Definition`'.
`org.eclipse.emf.ecore.EAttribute`
`getColorDefinition_Blue()`
Returns the meta object for the attribute '`Blue`'.
`org.eclipse.emf.ecore.EAttribute`
`getColorDefinition_Green()`
Returns the meta object for the attribute '`Green`'.
`org.eclipse.emf.ecore.EAttribute`
`getColorDefinition_Red()`
Returns the meta object for the attribute '`Red`'.
`org.eclipse.emf.ecore.EAttribute`
`getColorDefinition_Transparency()`
Returns the meta object for the attribute '`Transparency`'.
`org.eclipse.emf.ecore.EClass`
`getCursor()`
Returns the meta object for class '`Cursor`'.
`org.eclipse.emf.ecore.EReference`
`getCursor_Image()`
Returns the meta object for the containment reference list '`Image`'.
`org.eclipse.emf.ecore.EAttribute`
`getCursor_Type()`
Returns the meta object for the attribute '`Type`'.
`org.eclipse.emf.ecore.EEnum`
`getCursorType()`
Returns the meta object for enum '`Cursor Type`'.
`org.eclipse.emf.ecore.EDataType`
`getCursorTypeObject()`
Returns the meta object for data type '`Cursor Type Object`'.
`org.eclipse.emf.ecore.EClass`
`getDataPoint()`
Returns the meta object for class '`Data Point`'.
`org.eclipse.emf.ecore.EReference`
`getDataPoint_Components()`
Returns the meta object for the containment reference list '`Components`'.
`org.eclipse.emf.ecore.EAttribute`
`getDataPoint_Prefix()`
Returns the meta object for the attribute '`Prefix`'.
`org.eclipse.emf.ecore.EAttribute`
`getDataPoint_Separator()`
Returns the meta object for the attribute '`Separator`'.
`org.eclipse.emf.ecore.EAttribute`
`getDataPoint_Suffix()`
Returns the meta object for the attribute '`Suffix`'.
`org.eclipse.emf.ecore.EClass`
`getDataPointComponent()`
Returns the meta object for class '`Data Point Component`'.
`org.eclipse.emf.ecore.EReference`
`getDataPointComponent_FormatSpecifier()`
Returns the meta object for the containment reference '`Format Specifier`'.
`org.eclipse.emf.ecore.EAttribute`
`getDataPointComponent_OrthogonalType()`
Returns the meta object for the attribute '`Orthogonal Type`'.
`org.eclipse.emf.ecore.EAttribute`
`getDataPointComponent_Type()`
Returns the meta object for the attribute '`Type`'.
`org.eclipse.emf.ecore.EEnum`
`getDataPointComponentType()`
Returns the meta object for enum '`Data Point Component Type`'.
`org.eclipse.emf.ecore.EDataType`
`getDataPointComponentTypeObject()`
Returns the meta object for data type '`Data Point Component Type Object`'.
`org.eclipse.emf.ecore.EEnum`
`getDataType()`
Returns the meta object for enum '`Data Type`'.
`org.eclipse.emf.ecore.EDataType`
`getDataTypeObject()`
Returns the meta object for data type '`Data Type Object`'.
`org.eclipse.emf.ecore.EEnum`
`getDateFormatDetail()`
Returns the meta object for enum '`Date Format Detail`'.
`org.eclipse.emf.ecore.EDataType`
`getDateFormatDetailObject()`
Returns the meta object for data type '`Date Format Detail Object`'.
`org.eclipse.emf.ecore.EClass`
`getDateFormatSpecifier()`
Returns the meta object for class '`Date Format Specifier`'.
`org.eclipse.emf.ecore.EAttribute`
`getDateFormatSpecifier_Detail()`
Returns the meta object for the attribute '`Detail`'.
`org.eclipse.emf.ecore.EAttribute`
`getDateFormatSpecifier_Type()`
Returns the meta object for the attribute '`Type`'.
`org.eclipse.emf.ecore.EEnum`
`getDateFormatType()`
Returns the meta object for enum '`Date Format Type`'.
`org.eclipse.emf.ecore.EDataType`
`getDateFormatTypeObject()`
Returns the meta object for data type '`Date Format Type Object`'.
`org.eclipse.emf.ecore.EEnum`
`getDirection()`
Returns the meta object for enum '`Direction`'.
`org.eclipse.emf.ecore.EDataType`
`getDirectionObject()`
Returns the meta object for data type '`Direction Object`'.
`org.eclipse.emf.ecore.EClass`
`getEmbeddedImage()`
Returns the meta object for class '`Embedded Image`'.
`org.eclipse.emf.ecore.EAttribute`
`getEmbeddedImage_Data()`
Returns the meta object for the attribute '`Data`'.
`org.eclipse.emf.ecore.EClass`
`getEStringToStringMapEntry()`
Returns the meta object for class '`EString To String Map Entry`'.
`org.eclipse.emf.ecore.EAttribute`
`getEStringToStringMapEntry_Key()`
Returns the meta object for the attribute '`Key`'.
`org.eclipse.emf.ecore.EAttribute`
`getEStringToStringMapEntry_Value()`
Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass`
`getExtendedProperty()`
Returns the meta object for class '`Extended Property`'.
`org.eclipse.emf.ecore.EAttribute`
`getExtendedProperty_Name()`
Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EAttribute`
`getExtendedProperty_Value()`
Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass`
`getFill()`
Returns the meta object for class ' `Fill`'.
`org.eclipse.emf.ecore.EAttribute`
`getFill_Type()`
Returns the meta object for the attribute '`Type`'.
`org.eclipse.emf.ecore.EClass`
`getFontDefinition()`
Returns the meta object for class '`Font Definition`'.
`org.eclipse.emf.ecore.EReference`
`getFontDefinition_Alignment()`
Returns the meta object for the containment reference '`Alignment`'.
`org.eclipse.emf.ecore.EAttribute`
`getFontDefinition_Bold()`
Returns the meta object for the attribute '`Bold`'.
`org.eclipse.emf.ecore.EAttribute`
`getFontDefinition_Italic()`
Returns the meta object for the attribute '`Italic`'.
`org.eclipse.emf.ecore.EAttribute`
`getFontDefinition_Name()`
Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EAttribute`
`getFontDefinition_Rotation()`
Returns the meta object for the attribute '`Rotation`'.
`org.eclipse.emf.ecore.EAttribute`
`getFontDefinition_Size()`
Returns the meta object for the attribute '`Size`'.
`org.eclipse.emf.ecore.EAttribute`
`getFontDefinition_Strikethrough()`
Returns the meta object for the attribute '`Strikethrough`'.
`org.eclipse.emf.ecore.EAttribute`
`getFontDefinition_Underline()`
Returns the meta object for the attribute '`Underline`'.
`org.eclipse.emf.ecore.EAttribute`
`getFontDefinition_WordWrap()`
Returns the meta object for the attribute '`Word Wrap`'.
`org.eclipse.emf.ecore.EClass`
`getFormatSpecifier()`
Returns the meta object for class '`Format Specifier`'.
`org.eclipse.emf.ecore.EClass`
`getFractionNumberFormatSpecifier()`
Returns the meta object for class '`Fraction Number Format Specifier`'.
`org.eclipse.emf.ecore.EAttribute`
`getFractionNumberFormatSpecifier_Delimiter()`
Returns the meta object for the attribute '`Delimiter`'.
`org.eclipse.emf.ecore.EAttribute`
`getFractionNumberFormatSpecifier_FractionDigits()`
Returns the meta object for the attribute '`Fraction Digits`'.
`org.eclipse.emf.ecore.EAttribute`
`getFractionNumberFormatSpecifier_Numerator()`
Returns the meta object for the attribute '`Numerator`'.
`org.eclipse.emf.ecore.EAttribute`
`getFractionNumberFormatSpecifier_Precise()`
Returns the meta object for the attribute '`Precise`'.
`org.eclipse.emf.ecore.EAttribute`
`getFractionNumberFormatSpecifier_Prefix()`
Returns the meta object for the attribute '`Prefix`'.
`org.eclipse.emf.ecore.EAttribute`
`getFractionNumberFormatSpecifier_Suffix()`
Returns the meta object for the attribute '`Suffix`'.
`org.eclipse.emf.ecore.EClass`
`getGradient()`
Returns the meta object for class '`Gradient`'.
`org.eclipse.emf.ecore.EAttribute`
`getGradient_Cyclic()`
Returns the meta object for the attribute '`Cyclic`'.
`org.eclipse.emf.ecore.EAttribute`
`getGradient_Direction()`
Returns the meta object for the attribute '`Direction`'.
`org.eclipse.emf.ecore.EReference`
`getGradient_EndColor()`
Returns the meta object for the containment reference '`End Color`'.
`org.eclipse.emf.ecore.EReference`
`getGradient_StartColor()`
Returns the meta object for the containment reference '`Start Color`'.
`org.eclipse.emf.ecore.EAttribute`
`getGradient_Transparency()`
Returns the meta object for the attribute '`Transparency`'.
`org.eclipse.emf.ecore.EEnum`
`getGroupingUnitType()`
Returns the meta object for enum '`Grouping Unit Type`'.
`org.eclipse.emf.ecore.EDataType`
`getGroupingUnitTypeObject()`
Returns the meta object for data type '`Grouping Unit Type Object`'.
`org.eclipse.emf.ecore.EEnum`
`getHorizontalAlignment()`
Returns the meta object for enum '`Horizontal Alignment`'.
`org.eclipse.emf.ecore.EDataType`
`getHorizontalAlignmentObject()`
Returns the meta object for data type '`Horizontal Alignment Object`'.
`org.eclipse.emf.ecore.EDataType`
`getID()`
Returns the meta object for data type '`ID`'.
`org.eclipse.emf.ecore.EClass`
`getImage()`
Returns the meta object for class '`Image`'.
`org.eclipse.emf.ecore.EAttribute`
`getImage_Source()`
Returns the meta object for the attribute '`Source`'.
`org.eclipse.emf.ecore.EAttribute`
`getImage_URL()`
Returns the meta object for the attribute '`URL`'.
`org.eclipse.emf.ecore.EEnum`
`getImageSourceType()`
Returns the meta object for enum '`Image Source Type`'.
`org.eclipse.emf.ecore.EDataType`
`getImageSourceTypeObject()`
Returns the meta object for data type '`Image Source Type Object`'.
`org.eclipse.emf.ecore.EClass`
`getInsets()`
Returns the meta object for class '`Insets`'.
`org.eclipse.emf.ecore.EAttribute`
`getInsets_Bottom()`
Returns the meta object for the attribute '`Bottom`'.
`org.eclipse.emf.ecore.EAttribute`
`getInsets_Left()`
Returns the meta object for the attribute '`Left`'.
`org.eclipse.emf.ecore.EAttribute`
`getInsets_Right()`
Returns the meta object for the attribute '`Right`'.
`org.eclipse.emf.ecore.EAttribute`
`getInsets_Top()`
Returns the meta object for the attribute '`Top`'.
`org.eclipse.emf.ecore.EClass`
`getInteractivity()`
Returns the meta object for class '`Interactivity`'.
`org.eclipse.emf.ecore.EAttribute`
`getInteractivity_Enable()`
Returns the meta object for the attribute '`Enable`'.
`org.eclipse.emf.ecore.EAttribute`
`getInteractivity_LegendBehavior()`
Returns the meta object for the attribute '`Legend Behavior`'.
`org.eclipse.emf.ecore.EEnum`
`getIntersectionType()`
Returns the meta object for enum '`Intersection Type`'.
`org.eclipse.emf.ecore.EDataType`
`getIntersectionTypeObject()`
Returns the meta object for data type '`Intersection Type Object`'.
`org.eclipse.emf.ecore.EClass`
`getJavaDateFormatSpecifier()`
Returns the meta object for class '`Java Date Format Specifier`'.
`org.eclipse.emf.ecore.EAttribute`
`getJavaDateFormatSpecifier_Pattern()`
Returns the meta object for the attribute '`Pattern`'.
`org.eclipse.emf.ecore.EClass`
`getJavaNumberFormatSpecifier()`
Returns the meta object for class '`Java Number Format Specifier`'.
`org.eclipse.emf.ecore.EAttribute`
`getJavaNumberFormatSpecifier_Multiplier()`
Returns the meta object for the attribute '`Multiplier`'.
`org.eclipse.emf.ecore.EAttribute`
`getJavaNumberFormatSpecifier_Pattern()`
Returns the meta object for the attribute '`Pattern`'.
`org.eclipse.emf.ecore.EEnum`
`getLeaderLineStyle()`
Returns the meta object for enum '`Leader Line Style`'.
`org.eclipse.emf.ecore.EDataType`
`getLeaderLineStyleObject()`
Returns the meta object for data type '`Leader Line Style Object`'.
`org.eclipse.emf.ecore.EEnum`
`getLegendBehaviorType()`
Returns the meta object for enum '`Legend Behavior Type`'.
`org.eclipse.emf.ecore.EDataType`
`getLegendBehaviorTypeObject()`
Returns the meta object for data type '`Legend Behavior Type Object`'.
`org.eclipse.emf.ecore.EEnum`
`getLegendItemType()`
Returns the meta object for enum '`Legend Item Type`'.
`org.eclipse.emf.ecore.EDataType`
`getLegendItemTypeObject()`
Returns the meta object for data type '`Legend Item Type Object`'.
`org.eclipse.emf.ecore.EClass`
`getLineAttributes()`
Returns the meta object for class '`Line Attributes`'.
`org.eclipse.emf.ecore.EReference`
`getLineAttributes_Color()`
Returns the meta object for the containment reference '`Color`'.
`org.eclipse.emf.ecore.EAttribute`
`getLineAttributes_Style()`
Returns the meta object for the attribute '`Style`'.
`org.eclipse.emf.ecore.EAttribute`
`getLineAttributes_Thickness()`
Returns the meta object for the attribute '`Thickness`'.
`org.eclipse.emf.ecore.EAttribute`
`getLineAttributes_Visible()`
Returns the meta object for the attribute '`Visible`'.
`org.eclipse.emf.ecore.EEnum`
`getLineDecorator()`
Returns the meta object for enum '`Line Decorator`'.
`org.eclipse.emf.ecore.EDataType`
`getLineDecoratorObject()`
Returns the meta object for data type '`Line Decorator Object`'.
`org.eclipse.emf.ecore.EEnum`
`getLineStyle()`
Returns the meta object for enum '`Line Style`'.
`org.eclipse.emf.ecore.EDataType`
`getLineStyleObject()`
Returns the meta object for data type '`Line Style Object`'.
`org.eclipse.emf.ecore.EClass`
`getLocation()`
Returns the meta object for class '`Location`'.
`org.eclipse.emf.ecore.EAttribute`
`getLocation_X()`
Returns the meta object for the attribute '`X`'.
`org.eclipse.emf.ecore.EAttribute`
`getLocation_Y()`
Returns the meta object for the attribute '`Y`'.
`org.eclipse.emf.ecore.EClass`
`getLocation3D()`
Returns the meta object for class '`Location3 D`'.
`org.eclipse.emf.ecore.EAttribute`
`getLocation3D_Z()`
Returns the meta object for the attribute '`Z`'.
`org.eclipse.emf.ecore.EClass`
`getMarker()`
Returns the meta object for class '`Marker`'.
`org.eclipse.emf.ecore.EReference`
`getMarker_Fill()`
Returns the meta object for the containment reference '`Fill`'.
`org.eclipse.emf.ecore.EReference`
`getMarker_IconPalette()`
Returns the meta object for the containment reference '`Icon Palette`'.
`org.eclipse.emf.ecore.EReference`
`getMarker_Outline()`
Returns the meta object for the containment reference '`Outline`'.
`org.eclipse.emf.ecore.EAttribute`
`getMarker_Size()`
Returns the meta object for the attribute '`Size`'.
`org.eclipse.emf.ecore.EAttribute`
`getMarker_Type()`
Returns the meta object for the attribute '`Type`'.
`org.eclipse.emf.ecore.EAttribute`
`getMarker_Visible()`
Returns the meta object for the attribute '`Visible`'.
`org.eclipse.emf.ecore.EEnum`
`getMarkerType()`
Returns the meta object for enum '`Marker Type`'.
`org.eclipse.emf.ecore.EDataType`
`getMarkerTypeObject()`
Returns the meta object for data type '`Marker Type Object`'.
`org.eclipse.emf.ecore.EEnum`
`getMenuStylesKeyType()`
Returns the meta object for enum '`Menu Styles Key Type`'.
`org.eclipse.emf.ecore.EDataType`
`getMenuStylesKeyTypeObject()`
Returns the meta object for data type '`Menu Styles Key Type Object`'.
`org.eclipse.emf.ecore.EClass`
`getMultipleFill()`
Returns the meta object for class '`Multiple Fill`'.
`org.eclipse.emf.ecore.EReference`
`getMultipleFill_Fills()`
Returns the meta object for the containment reference list '`Fills`'.
`org.eclipse.emf.ecore.EClass`
`getMultiURLValues()`
Returns the meta object for class '`Multi URL Values`'.
`org.eclipse.emf.ecore.EReference`
`getMultiURLValues_PropertiesMap()`
Returns the meta object for the map '`Properties Map`'.
`org.eclipse.emf.ecore.EAttribute`
`getMultiURLValues_Tooltip()`
Returns the meta object for the attribute '`Tooltip`'.
`org.eclipse.emf.ecore.EReference`
`getMultiURLValues_URLValues()`
Returns the meta object for the containment reference list '`URL Values`'.
`org.eclipse.emf.ecore.EClass`
`getNumberFormatSpecifier()`
Returns the meta object for class '`Number Format Specifier`'.
`org.eclipse.emf.ecore.EAttribute`
`getNumberFormatSpecifier_FractionDigits()`
Returns the meta object for the attribute '`Fraction Digits`'.
`org.eclipse.emf.ecore.EAttribute`
`getNumberFormatSpecifier_Multiplier()`
Returns the meta object for the attribute '`Multiplier`'.
`org.eclipse.emf.ecore.EAttribute`
`getNumberFormatSpecifier_Prefix()`
Returns the meta object for the attribute '`Prefix`'.
`org.eclipse.emf.ecore.EAttribute`
`getNumberFormatSpecifier_Suffix()`
Returns the meta object for the attribute '`Suffix`'.
`org.eclipse.emf.ecore.EEnum`
`getOrientation()`
Returns the meta object for enum '`Orientation`'.
`org.eclipse.emf.ecore.EDataType`
`getOrientationObject()`
Returns the meta object for data type '`Orientation Object`'.
`org.eclipse.emf.ecore.EClass`
`getPalette()`
Returns the meta object for class '`Palette`'.
`org.eclipse.emf.ecore.EReference`
`getPalette_Entries()`
Returns the meta object for the containment reference list '`Entries`'.
`org.eclipse.emf.ecore.EAttribute`
`getPalette_Name()`
Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EDataType`
`getPatternBitmap()`
Returns the meta object for data type 'Pattern Bitmap'.
`org.eclipse.emf.ecore.EDataType`
`getPatternBitmapObject()`
Returns the meta object for data type '`Pattern Bitmap Object`'.
`org.eclipse.emf.ecore.EClass`
`getPatternImage()`
Returns the meta object for class '`Pattern Image`'.
`org.eclipse.emf.ecore.EReference`
`getPatternImage_BackColor()`
Returns the meta object for the containment reference '`Back Color`'.
`org.eclipse.emf.ecore.EAttribute`
`getPatternImage_Bitmap()`
Returns the meta object for the attribute '`Bitmap`'.
`org.eclipse.emf.ecore.EReference`
`getPatternImage_ForeColor()`
Returns the meta object for the containment reference '`Fore Color`'.
`org.eclipse.emf.ecore.EDataType`
`getPercentage()`
Returns the meta object for data type 'Percentage'.
`org.eclipse.emf.ecore.EDataType`
`getPercentageObject()`
Returns the meta object for data type ' `Percentage Object`'.
`org.eclipse.emf.ecore.EEnum`
`getPosition()`
Returns the meta object for enum '`Position`'.
`org.eclipse.emf.ecore.EDataType`
`getPositionObject()`
Returns the meta object for data type '`Position Object`'.
`org.eclipse.emf.ecore.EDataType`
`getRGBValue()`
Returns the meta object for data type 'RGB Value'.
`org.eclipse.emf.ecore.EDataType`
`getRGBValueObject()`
Returns the meta object for data type ' `RGB Value Object`'.
`org.eclipse.emf.ecore.EEnum`
`getRiserType()`
Returns the meta object for enum '`Riser Type`'.
`org.eclipse.emf.ecore.EDataType`
`getRiserTypeObject()`
Returns the meta object for data type '`Riser Type Object`'.
`org.eclipse.emf.ecore.EClass`
`getRotation3D()`
Returns the meta object for class '`Rotation3 D`'.
`org.eclipse.emf.ecore.EReference`
`getRotation3D_Angles()`
Returns the meta object for the containment reference list '`Angles`'.
`org.eclipse.emf.ecore.EEnum`
`getRuleType()`
Returns the meta object for enum '`Rule Type`'.
`org.eclipse.emf.ecore.EDataType`
`getRuleTypeObject()`
Returns the meta object for data type '`Rule Type Object`'.
`org.eclipse.emf.ecore.EEnum`
`getScaleUnitType()`
Returns the meta object for enum '`Scale Unit Type`'.
`org.eclipse.emf.ecore.EDataType`
`getScaleUnitTypeObject()`
Returns the meta object for data type '`Scale Unit Type Object`'.
`org.eclipse.emf.ecore.EClass`
`getScriptValue()`
Returns the meta object for class '`Script Value`'.
`org.eclipse.emf.ecore.EAttribute`
`getScriptValue_Script()`
Returns the meta object for the attribute '`Script`'.
`org.eclipse.emf.ecore.EClass`
`getSeriesValue()`
Returns the meta object for class '`Series Value`'.
`org.eclipse.emf.ecore.EAttribute`
`getSeriesValue_Name()`
Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EClass`
`getSize()`
Returns the meta object for class ' `Size`'.
`org.eclipse.emf.ecore.EAttribute`
`getSize_Height()`
Returns the meta object for the attribute '`Height`'.
`org.eclipse.emf.ecore.EAttribute`
`getSize_Width()`
Returns the meta object for the attribute '`Width`'.
`org.eclipse.emf.ecore.EEnum`
`getSortOption()`
Returns the meta object for enum '`Sort Option`'.
`org.eclipse.emf.ecore.EDataType`
`getSortOptionObject()`
Returns the meta object for data type '`Sort Option Object`'.
`org.eclipse.emf.ecore.EEnum`
`getStretch()`
Returns the meta object for enum '`Stretch`'.
`org.eclipse.emf.ecore.EDataType`
`getStretchObject()`
Returns the meta object for data type '`Stretch Object`'.
`org.eclipse.emf.ecore.EClass`
`getStringFormatSpecifier()`
Returns the meta object for class '`String Format Specifier`'.
`org.eclipse.emf.ecore.EAttribute`
`getStringFormatSpecifier_Pattern()`
Returns the meta object for the attribute '`Pattern`'.
`org.eclipse.emf.ecore.EClass`
`getStyle()`
Returns the meta object for class '`Style`'.
`org.eclipse.emf.ecore.EReference`
`getStyle_BackgroundColor()`
Returns the meta object for the containment reference '`Background Color`'.
`org.eclipse.emf.ecore.EReference`
`getStyle_BackgroundImage()`
Returns the meta object for the containment reference '`Background Image`'.
`org.eclipse.emf.ecore.EReference`
`getStyle_Color()`
Returns the meta object for the containment reference '`Color`'.
`org.eclipse.emf.ecore.EReference`
`getStyle_Font()`
Returns the meta object for the containment reference '`Font`'.
`org.eclipse.emf.ecore.EReference`
`getStyle_Padding()`
Returns the meta object for the containment reference '`Padding`'.
`org.eclipse.emf.ecore.EEnum`
`getStyledComponent()`
Returns the meta object for enum '`Styled Component`'.
`org.eclipse.emf.ecore.EDataType`
`getStyledComponentObject()`
Returns the meta object for data type '`Styled Component Object`'.
`org.eclipse.emf.ecore.EClass`
`getStyleMap()`
Returns the meta object for class '`Style Map`'.
`org.eclipse.emf.ecore.EAttribute`
`getStyleMap_ComponentName()`
Returns the meta object for the attribute '`Component Name`'.
`org.eclipse.emf.ecore.EReference`
`getStyleMap_Style()`
Returns the meta object for the containment reference '`Style`'.
`org.eclipse.emf.ecore.EClass`
`getText()`
Returns the meta object for class ' `Text`'.
`org.eclipse.emf.ecore.EReference`
`getText_Color()`
Returns the meta object for the containment reference '`Color`'.
`org.eclipse.emf.ecore.EReference`
`getText_Font()`
Returns the meta object for the containment reference '`Font`'.
`org.eclipse.emf.ecore.EAttribute`
`getText_Value()`
Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass`
`getTextAlignment()`
Returns the meta object for class '`Text Alignment`'.
`org.eclipse.emf.ecore.EAttribute`
`getTextAlignment_HorizontalAlignment()`
Returns the meta object for the attribute '`Horizontal Alignment`'.
`org.eclipse.emf.ecore.EAttribute`
`getTextAlignment_VerticalAlignment()`
Returns the meta object for the attribute '`Vertical Alignment`'.
`org.eclipse.emf.ecore.EEnum`
`getTickStyle()`
Returns the meta object for enum '`Tick Style`'.
`org.eclipse.emf.ecore.EDataType`
`getTickStyleObject()`
Returns the meta object for data type '`Tick Style Object`'.
`org.eclipse.emf.ecore.EClass`
`getTooltipValue()`
Returns the meta object for class '`Tooltip Value`'.
`org.eclipse.emf.ecore.EAttribute`
`getTooltipValue_Delay()`
Returns the meta object for the attribute '`Delay`'.
`org.eclipse.emf.ecore.EReference`
`getTooltipValue_FormatSpecifier()`
Returns the meta object for the containment reference '`Format Specifier`'.
`org.eclipse.emf.ecore.EAttribute`
`getTooltipValue_Text()`
Returns the meta object for the attribute '`Text`'.
`org.eclipse.emf.ecore.EEnum`
`getTriggerCondition()`
Returns the meta object for enum '`Trigger Condition`'.
`org.eclipse.emf.ecore.EDataType`
`getTriggerConditionObject()`
Returns the meta object for data type '`Trigger Condition Object`'.
`org.eclipse.emf.ecore.EEnum`
`getTriggerFlow()`
Returns the meta object for enum '`Trigger Flow`'.
`org.eclipse.emf.ecore.EDataType`
`getTriggerFlowObject()`
Returns the meta object for data type '`Trigger Flow Object`'.
`org.eclipse.emf.ecore.EEnum`
`getUnitsOfMeasurement()`
Returns the meta object for enum '`Units Of Measurement`'.
`org.eclipse.emf.ecore.EDataType`
`getUnitsOfMeasurementObject()`
Returns the meta object for data type '`Units Of Measurement Object`'.
`org.eclipse.emf.ecore.EClass`
`getURLValue()`
Returns the meta object for class '`URL Value`'.
`org.eclipse.emf.ecore.EAttribute`
`getURLValue_BaseParameterName()`
Returns the meta object for the attribute '`Base Parameter Name`'.
`org.eclipse.emf.ecore.EAttribute`
`getURLValue_BaseUrl()`
Returns the meta object for the attribute '`Base Url`'.
`org.eclipse.emf.ecore.EAttribute`
`getURLValue_SeriesParameterName()`
Returns the meta object for the attribute '`Series Parameter Name`'.
`org.eclipse.emf.ecore.EAttribute`
`getURLValue_Target()`
Returns the meta object for the attribute '`Target`'.
`org.eclipse.emf.ecore.EAttribute`
`getURLValue_Tooltip()`
Returns the meta object for the attribute '`Tooltip`'.
`org.eclipse.emf.ecore.EAttribute`
`getURLValue_ValueParameterName()`
Returns the meta object for the attribute '`Value Parameter Name`'.
`org.eclipse.emf.ecore.EEnum`
`getVerticalAlignment()`
Returns the meta object for enum '`Vertical Alignment`'.
`org.eclipse.emf.ecore.EDataType`
`getVerticalAlignmentObject()`
Returns the meta object for data type '`Vertical Alignment Object`'.

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### eNAME

static final String eNAME
The package name.

See Also:
  - Constant Field Values

### eNS_URI

static final String eNS_URI
The package namespace URI.

See Also:
  - Constant Field Values

### eNS_PREFIX

static final String eNS_PREFIX
The package namespace name.

See Also:
  - Constant Field Values

### eINSTANCE

static final AttributePackage eINSTANCE
The singleton instance of the package.

### ACTION_VALUE

static final int ACTION_VALUE
The meta object id for the '`Action Value`' class.

See Also:
  - `ActionValueImpl`
  - `AttributePackageImpl.getActionValue()`
  - Constant Field Values

### ACTION_VALUE__LABEL

static final int ACTION_VALUE__LABEL
The feature id for the 'Label' containment reference.

See Also:
  - Constant Field Values

### ACTION_VALUE_FEATURE_COUNT

static final int ACTION_VALUE_FEATURE_COUNT
The number of structural features of the 'Action Value' class.

See Also:
  - Constant Field Values

### ACCESSIBILITY_VALUE

static final int ACCESSIBILITY_VALUE
The meta object id for the '`Accessibility Value`' class.

See Also:
  - `AccessibilityValueImpl`
  - `AttributePackageImpl.getAccessibilityValue()`
  - Constant Field Values

### ACCESSIBILITY_VALUE__LABEL

static final int ACCESSIBILITY_VALUE__LABEL
The feature id for the 'Label' containment reference.

See Also:
  - Constant Field Values

### ACCESSIBILITY_VALUE__TEXT

static final int ACCESSIBILITY_VALUE__TEXT
The feature id for the 'Text' attribute.

See Also:
  - Constant Field Values

### ACCESSIBILITY_VALUE__ACCESSIBILITY

static final int ACCESSIBILITY_VALUE__ACCESSIBILITY
The feature id for the 'Accessibility' attribute.

See Also:
  - Constant Field Values

### ACCESSIBILITY_VALUE_FEATURE_COUNT

static final int ACCESSIBILITY_VALUE_FEATURE_COUNT
The number of structural features of the 'Accessibility Value' class.

See Also:
  - Constant Field Values

### ANGLE3_D

static final int ANGLE3_D
The meta object id for the '`Angle3 D`' class.

See Also:
  - `Angle3DImpl`
  - `AttributePackageImpl.getAngle3D()`
  - Constant Field Values

### ANGLE3_D__XANGLE

static final int ANGLE3_D__XANGLE
The feature id for the 'XAngle' attribute.

See Also:
  - Constant Field Values

### ANGLE3_D__YANGLE

static final int ANGLE3_D__YANGLE
The feature id for the 'YAngle' attribute.

See Also:
  - Constant Field Values

### ANGLE3_D__ZANGLE

static final int ANGLE3_D__ZANGLE
The feature id for the 'ZAngle' attribute.

See Also:
  - Constant Field Values

### ANGLE3_D__TYPE

static final int ANGLE3_D__TYPE
The feature id for the 'Type' attribute.

See Also:
  - Constant Field Values

### ANGLE3_D_FEATURE_COUNT

static final int ANGLE3_D_FEATURE_COUNT
The number of structural features of the 'Angle3 D' class.

See Also:
  - Constant Field Values

### AXIS_ORIGIN

static final int AXIS_ORIGIN
The meta object id for the '`Axis Origin`' class.

See Also:
  - `AxisOriginImpl`
  - `AttributePackageImpl.getAxisOrigin()`
  - Constant Field Values

### AXIS_ORIGIN__TYPE

static final int AXIS_ORIGIN__TYPE
The feature id for the 'Type' attribute.

See Also:
  - Constant Field Values

### AXIS_ORIGIN__VALUE

static final int AXIS_ORIGIN__VALUE
The feature id for the 'Value' containment reference.

See Also:
  - Constant Field Values

### AXIS_ORIGIN_FEATURE_COUNT

static final int AXIS_ORIGIN_FEATURE_COUNT
The number of structural features of the 'Axis Origin' class.

See Also:
  - Constant Field Values

### BOUNDS

static final int BOUNDS
The meta object id for the '`Bounds`' class.

See Also:
  - `BoundsImpl`
  - `AttributePackageImpl.getBounds()`
  - Constant Field Values

### BOUNDS__LEFT

static final int BOUNDS__LEFT
The feature id for the 'Left' attribute.

See Also:
  - Constant Field Values

### BOUNDS__TOP

static final int BOUNDS__TOP
The feature id for the 'Top' attribute.

See Also:
  - Constant Field Values

### BOUNDS__WIDTH

static final int BOUNDS__WIDTH
The feature id for the 'Width' attribute.

See Also:
  - Constant Field Values

### BOUNDS__HEIGHT

static final int BOUNDS__HEIGHT
The feature id for the 'Height' attribute.

See Also:
  - Constant Field Values

### BOUNDS_FEATURE_COUNT

static final int BOUNDS_FEATURE_COUNT
The number of structural features of the 'Bounds' class.

See Also:
  - Constant Field Values

### CALL_BACK_VALUE

static final int CALL_BACK_VALUE
The meta object id for the '`Call Back Value`' class.

See Also:
  - `CallBackValueImpl`
  - `AttributePackageImpl.getCallBackValue()`
  - Constant Field Values

### CALL_BACK_VALUE__LABEL

static final int CALL_BACK_VALUE__LABEL
The feature id for the 'Label' containment reference.

See Also:
  - Constant Field Values

### FILL

static final int FILL
The meta object id for the '`Fill`' class.

See Also:
  - `FillImpl`
  - `AttributePackageImpl.getFill()`
  - Constant Field Values

### COLOR_DEFINITION

static final int COLOR_DEFINITION
The meta object id for the '`Color Definition`' class.

See Also:
  - `ColorDefinitionImpl`
  - `AttributePackageImpl.getColorDefinition()`
  - Constant Field Values

### DATA_POINT

static final int DATA_POINT
The meta object id for the '`Data Point`' class.

See Also:
  - `DataPointImpl`
  - `AttributePackageImpl.getDataPoint()`
  - Constant Field Values

### DATA_POINT_COMPONENT

static final int DATA_POINT_COMPONENT
The meta object id for the '`Data Point Component`' class.

See Also:
  - `DataPointComponentImpl`
  - `AttributePackageImpl.getDataPointComponent()`
  - Constant Field Values

### FONT_DEFINITION

static final int FONT_DEFINITION
The meta object id for the '`Font Definition`' class.

See Also:
  - `FontDefinitionImpl`
  - `AttributePackageImpl.getFontDefinition()`
  - Constant Field Values

### FORMAT_SPECIFIER

static final int FORMAT_SPECIFIER
The meta object id for the '`Format Specifier`' class.

See Also:
  - `FormatSpecifierImpl`
  - `AttributePackageImpl.getFormatSpecifier()`
  - Constant Field Values

### DATE_FORMAT_SPECIFIER

static final int DATE_FORMAT_SPECIFIER
The meta object id for the '`Date Format Specifier`' class.

See Also:
  - `DateFormatSpecifierImpl`
  - `AttributePackageImpl.getDateFormatSpecifier()`
  - Constant Field Values

### EXTENDED_PROPERTY

static final int EXTENDED_PROPERTY
The meta object id for the '`Extended Property`' class.

See Also:
  - `ExtendedPropertyImpl`
  - `AttributePackageImpl.getExtendedProperty()`
  - Constant Field Values

### GRADIENT

static final int GRADIENT
The meta object id for the '`Gradient`' class.

See Also:
  - `GradientImpl`
  - `AttributePackageImpl.getGradient()`
  - Constant Field Values

### IMAGE

static final int IMAGE
The meta object id for the '`Image`' class.

See Also:
  - `ImageImpl`
  - `AttributePackageImpl.getImage()`
  - Constant Field Values

### EMBEDDED_IMAGE

static final int EMBEDDED_IMAGE
The meta object id for the '`Embedded Image`' class.

See Also:
  - `EmbeddedImageImpl`
  - `AttributePackageImpl.getEmbeddedImage()`
  - Constant Field Values

### FRACTION_NUMBER_FORMAT_SPECIFIER

static final int FRACTION_NUMBER_FORMAT_SPECIFIER
The meta object id for the '`Fraction Number Format Specifier`' class.

See Also:
  - `FractionNumberFormatSpecifierImpl`
  - `AttributePackageImpl.getFractionNumberFormatSpecifier()`
  - Constant Field Values

### INSETS

static final int INSETS
The meta object id for the '`Insets`' class.

See Also:
  - `InsetsImpl`
  - `AttributePackageImpl.getInsets()`
  - Constant Field Values

### INTERACTIVITY

static final int INTERACTIVITY
The meta object id for the '`Interactivity`' class.

See Also:
  - `InteractivityImpl`
  - `AttributePackageImpl.getInteractivity()`
  - Constant Field Values

### JAVA_DATE_FORMAT_SPECIFIER

static final int JAVA_DATE_FORMAT_SPECIFIER
The meta object id for the '`Java Date Format Specifier`' class.

See Also:
  - `JavaDateFormatSpecifierImpl`
  - `AttributePackageImpl.getJavaDateFormatSpecifier()`
  - Constant Field Values

### JAVA_NUMBER_FORMAT_SPECIFIER

static final int JAVA_NUMBER_FORMAT_SPECIFIER
The meta object id for the '`Java Number Format Specifier`' class.

See Also:
  - `JavaNumberFormatSpecifierImpl`
  - `AttributePackageImpl.getJavaNumberFormatSpecifier()`
  - Constant Field Values

### LINE_ATTRIBUTES

static final int LINE_ATTRIBUTES
The meta object id for the '`Line Attributes`' class.

See Also:
  - `LineAttributesImpl`
  - `AttributePackageImpl.getLineAttributes()`
  - Constant Field Values

### LOCATION

static final int LOCATION
The meta object id for the '`Location`' class.

See Also:
  - `LocationImpl`
  - `AttributePackageImpl.getLocation()`
  - Constant Field Values

### LOCATION3_D

static final int LOCATION3_D
The meta object id for the '`Location3 D`' class.

See Also:
  - `Location3DImpl`
  - `AttributePackageImpl.getLocation3D()`
  - Constant Field Values

### MARKER

static final int MARKER
The meta object id for the '`Marker`' class.

See Also:
  - `MarkerImpl`
  - `AttributePackageImpl.getMarker()`
  - Constant Field Values

### MULTIPLE_FILL

static final int MULTIPLE_FILL
The meta object id for the '`Multiple Fill`' class.

See Also:
  - `MultipleFillImpl`
  - `AttributePackageImpl.getMultipleFill()`
  - Constant Field Values

### NUMBER_FORMAT_SPECIFIER

static final int NUMBER_FORMAT_SPECIFIER
The meta object id for the '`Number Format Specifier`' class.

See Also:
  - `NumberFormatSpecifierImpl`
  - `AttributePackageImpl.getNumberFormatSpecifier()`
  - Constant Field Values

### PALETTE

static final int PALETTE
The meta object id for the '`Palette`' class.

See Also:
  - `PaletteImpl`
  - `AttributePackageImpl.getPalette()`
  - Constant Field Values

### ROTATION3_D

static final int ROTATION3_D
The meta object id for the '`Rotation3 D`' class.

See Also:
  - `Rotation3DImpl`
  - `AttributePackageImpl.getRotation3D()`
  - Constant Field Values

### SCRIPT_VALUE

static final int SCRIPT_VALUE
The meta object id for the '`Script Value`' class.

See Also:
  - `ScriptValueImpl`
  - `AttributePackageImpl.getScriptValue()`
  - Constant Field Values

### SERIES_VALUE

static final int SERIES_VALUE
The meta object id for the '`Series Value`' class.

See Also:
  - `SeriesValueImpl`
  - `AttributePackageImpl.getSeriesValue()`
  - Constant Field Values

### TEXT

static final int TEXT
The meta object id for the '`Text`' class.

See Also:
  - `TextImpl`
  - `AttributePackageImpl.getText()`
  - Constant Field Values

### SIZE

static final int SIZE
The meta object id for the '`Size`' class.

See Also:
  - `SizeImpl`
  - `AttributePackageImpl.getSize()`
  - Constant Field Values

### STYLE

static final int STYLE
The meta object id for the '`Style`' class.

See Also:
  - `StyleImpl`
  - `AttributePackageImpl.getStyle()`
  - Constant Field Values

### STYLE_MAP

static final int STYLE_MAP
The meta object id for the '`Style Map`' class.

See Also:
  - `StyleMapImpl`
  - `AttributePackageImpl.getStyleMap()`
  - Constant Field Values

### TEXT_ALIGNMENT

static final int TEXT_ALIGNMENT
The meta object id for the '`Text Alignment`' class.

See Also:
  - `TextAlignmentImpl`
  - `AttributePackageImpl.getTextAlignment()`
  - Constant Field Values

### TOOLTIP_VALUE

static final int TOOLTIP_VALUE
The meta object id for the '`Tooltip Value`' class.

See Also:
  - `TooltipValueImpl`
  - `AttributePackageImpl.getTooltipValue()`
  - Constant Field Values

### URL_VALUE

static final int URL_VALUE
The meta object id for the '`URL Value`' class.

See Also:
  - `URLValueImpl`
  - `AttributePackageImpl.getURLValue()`
  - Constant Field Values

### CALL_BACK_VALUE__IDENTIFIER

static final int CALL_BACK_VALUE__IDENTIFIER
The feature id for the 'Identifier' attribute.

See Also:
  - Constant Field Values

### CALL_BACK_VALUE_FEATURE_COUNT

static final int CALL_BACK_VALUE_FEATURE_COUNT
The number of structural features of the 'Call Back Value' class.

See Also:
  - Constant Field Values

### FILL__TYPE

static final int FILL__TYPE
The feature id for the 'Type' attribute.

See Also:
  - Constant Field Values

### FILL_FEATURE_COUNT

static final int FILL_FEATURE_COUNT
The number of structural features of the 'Fill' class.

See Also:
  - Constant Field Values

### COLOR_DEFINITION__TYPE

static final int COLOR_DEFINITION__TYPE
The feature id for the 'Type' attribute.

See Also:
  - Constant Field Values

### COLOR_DEFINITION__TRANSPARENCY

static final int COLOR_DEFINITION__TRANSPARENCY
The feature id for the 'Transparency' attribute.

See Also:
  - Constant Field Values

### COLOR_DEFINITION__RED

static final int COLOR_DEFINITION__RED
The feature id for the 'Red' attribute.

See Also:
  - Constant Field Values

### COLOR_DEFINITION__GREEN

static final int COLOR_DEFINITION__GREEN
The feature id for the 'Green' attribute.

See Also:
  - Constant Field Values

### COLOR_DEFINITION__BLUE

static final int COLOR_DEFINITION__BLUE
The feature id for the 'Blue' attribute.

See Also:
  - Constant Field Values

### COLOR_DEFINITION_FEATURE_COUNT

static final int COLOR_DEFINITION_FEATURE_COUNT
The number of structural features of the 'Color Definition' class.

See Also:
  - Constant Field Values

### CURSOR

static final int CURSOR
The meta object id for the '`Cursor`' class.

See Also:
  - `CursorImpl`
  - `AttributePackageImpl.getCursor()`
  - Constant Field Values

### CURSOR__TYPE

static final int CURSOR__TYPE
The feature id for the 'Type' attribute.

See Also:
  - Constant Field Values

### CURSOR__IMAGE

static final int CURSOR__IMAGE
The feature id for the 'Image' containment reference list.

See Also:
  - Constant Field Values

### CURSOR_FEATURE_COUNT

static final int CURSOR_FEATURE_COUNT
The number of structural features of the 'Cursor' class.

See Also:
  - Constant Field Values

### DATA_POINT__COMPONENTS

static final int DATA_POINT__COMPONENTS
The feature id for the 'Components' containment reference list.

See Also:
  - Constant Field Values

### DATA_POINT__PREFIX

static final int DATA_POINT__PREFIX
The feature id for the 'Prefix' attribute.

See Also:
  - Constant Field Values

### DATA_POINT__SUFFIX

static final int DATA_POINT__SUFFIX
The feature id for the 'Suffix' attribute.

See Also:
  - Constant Field Values

### DATA_POINT__SEPARATOR

static final int DATA_POINT__SEPARATOR
The feature id for the 'Separator' attribute.

See Also:
  - Constant Field Values

### DATA_POINT_FEATURE_COUNT

static final int DATA_POINT_FEATURE_COUNT
The number of structural features of the 'Data Point' class.

See Also:
  - Constant Field Values

### DATA_POINT_COMPONENT__TYPE

static final int DATA_POINT_COMPONENT__TYPE
The feature id for the 'Type' attribute.

See Also:
  - Constant Field Values

### DATA_POINT_COMPONENT__FORMAT_SPECIFIER

static final int DATA_POINT_COMPONENT__FORMAT_SPECIFIER
The feature id for the 'Format Specifier' containment reference.

See Also:
  - Constant Field Values

### DATA_POINT_COMPONENT__ORTHOGONAL_TYPE

static final int DATA_POINT_COMPONENT__ORTHOGONAL_TYPE
The feature id for the 'Orthogonal Type' attribute.

See Also:
  - Constant Field Values

### DATA_POINT_COMPONENT_FEATURE_COUNT

static final int DATA_POINT_COMPONENT_FEATURE_COUNT
The number of structural features of the 'Data Point Component' class.

See Also:
  - Constant Field Values

### FORMAT_SPECIFIER_FEATURE_COUNT

static final int FORMAT_SPECIFIER_FEATURE_COUNT
The number of structural features of the 'Format Specifier' class.

See Also:
  - Constant Field Values

### DATE_FORMAT_SPECIFIER__TYPE

static final int DATE_FORMAT_SPECIFIER__TYPE
The feature id for the 'Type' attribute.

See Also:
  - Constant Field Values

### DATE_FORMAT_SPECIFIER__DETAIL

static final int DATE_FORMAT_SPECIFIER__DETAIL
The feature id for the 'Detail' attribute.

See Also:
  - Constant Field Values

### DATE_FORMAT_SPECIFIER_FEATURE_COUNT

static final int DATE_FORMAT_SPECIFIER_FEATURE_COUNT
The number of structural features of the 'Date Format Specifier' class.

See Also:
  - Constant Field Values

### IMAGE__TYPE

static final int IMAGE__TYPE
The feature id for the 'Type' attribute.

See Also:
  - Constant Field Values

### IMAGE__URL

static final int IMAGE__URL
The feature id for the 'URL' attribute.

See Also:
  - Constant Field Values

### IMAGE__SOURCE

static final int IMAGE__SOURCE
The feature id for the 'Source' attribute.

See Also:
  - Constant Field Values

### IMAGE_FEATURE_COUNT

static final int IMAGE_FEATURE_COUNT
The number of structural features of the 'Image' class.

See Also:
  - Constant Field Values

### EMBEDDED_IMAGE__TYPE

static final int EMBEDDED_IMAGE__TYPE
The feature id for the 'Type' attribute.

See Also:
  - Constant Field Values

### EMBEDDED_IMAGE__URL

static final int EMBEDDED_IMAGE__URL
The feature id for the 'URL' attribute.

See Also:
  - Constant Field Values

### EMBEDDED_IMAGE__SOURCE

static final int EMBEDDED_IMAGE__SOURCE
The feature id for the 'Source' attribute.

See Also:
  - Constant Field Values

### EMBEDDED_IMAGE__DATA

static final int EMBEDDED_IMAGE__DATA
The feature id for the 'Data' attribute.

See Also:
  - Constant Field Values

### EMBEDDED_IMAGE_FEATURE_COUNT

static final int EMBEDDED_IMAGE_FEATURE_COUNT
The number of structural features of the 'Embedded Image' class.

See Also:
  - Constant Field Values

### ESTRING_TO_STRING_MAP_ENTRY

static final int ESTRING_TO_STRING_MAP_ENTRY
The meta object id for the '`EString To String Map Entry`' class.

See Also:
  - `EStringToStringMapEntryImpl`
  - `AttributePackageImpl.getEStringToStringMapEntry()`
  - Constant Field Values

### ESTRING_TO_STRING_MAP_ENTRY__KEY

static final int ESTRING_TO_STRING_MAP_ENTRY__KEY
The feature id for the 'Key' attribute.

See Also:
  - Constant Field Values

### ESTRING_TO_STRING_MAP_ENTRY__VALUE

static final int ESTRING_TO_STRING_MAP_ENTRY__VALUE
The feature id for the 'Value' attribute.

See Also:
  - Constant Field Values

### ESTRING_TO_STRING_MAP_ENTRY_FEATURE_COUNT

static final int ESTRING_TO_STRING_MAP_ENTRY_FEATURE_COUNT
The number of structural features of the 'EString To String Map Entry' class.

See Also:
  - Constant Field Values

### EXTENDED_PROPERTY__NAME

static final int EXTENDED_PROPERTY__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### EXTENDED_PROPERTY__VALUE

static final int EXTENDED_PROPERTY__VALUE
The feature id for the 'Value' attribute.

See Also:
  - Constant Field Values

### EXTENDED_PROPERTY_FEATURE_COUNT

static final int EXTENDED_PROPERTY_FEATURE_COUNT
The number of structural features of the 'Extended Property' class.

See Also:
  - Constant Field Values

### FONT_DEFINITION__NAME

static final int FONT_DEFINITION__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### FONT_DEFINITION__SIZE

static final int FONT_DEFINITION__SIZE
The feature id for the 'Size' attribute.

See Also:
  - Constant Field Values

### FONT_DEFINITION__BOLD

static final int FONT_DEFINITION__BOLD
The feature id for the 'Bold' attribute.

See Also:
  - Constant Field Values

### FONT_DEFINITION__ITALIC

static final int FONT_DEFINITION__ITALIC
The feature id for the 'Italic' attribute.

See Also:
  - Constant Field Values

### FONT_DEFINITION__STRIKETHROUGH

static final int FONT_DEFINITION__STRIKETHROUGH
The feature id for the 'Strikethrough' attribute.

See Also:
  - Constant Field Values

### FONT_DEFINITION__UNDERLINE

static final int FONT_DEFINITION__UNDERLINE
The feature id for the 'Underline' attribute.

See Also:
  - Constant Field Values

### FONT_DEFINITION__WORD_WRAP

static final int FONT_DEFINITION__WORD_WRAP
The feature id for the 'Word Wrap' attribute.

See Also:
  - Constant Field Values

### FONT_DEFINITION__ALIGNMENT

static final int FONT_DEFINITION__ALIGNMENT
The feature id for the 'Alignment' containment reference.

See Also:
  - Constant Field Values

### FONT_DEFINITION__ROTATION

static final int FONT_DEFINITION__ROTATION
The feature id for the 'Rotation' attribute.

See Also:
  - Constant Field Values

### FONT_DEFINITION_FEATURE_COUNT

static final int FONT_DEFINITION_FEATURE_COUNT
The number of structural features of the 'Font Definition' class.

See Also:
  - Constant Field Values

### FRACTION_NUMBER_FORMAT_SPECIFIER__PRECISE

static final int FRACTION_NUMBER_FORMAT_SPECIFIER__PRECISE
The feature id for the 'Precise' attribute.

See Also:
  - Constant Field Values

### FRACTION_NUMBER_FORMAT_SPECIFIER__FRACTION_DIGITS

static final int FRACTION_NUMBER_FORMAT_SPECIFIER__FRACTION_DIGITS
The feature id for the 'Fraction Digits' attribute.

See Also:
  - Constant Field Values

### FRACTION_NUMBER_FORMAT_SPECIFIER__NUMERATOR

static final int FRACTION_NUMBER_FORMAT_SPECIFIER__NUMERATOR
The feature id for the 'Numerator' attribute.

See Also:
  - Constant Field Values

### FRACTION_NUMBER_FORMAT_SPECIFIER__PREFIX

static final int FRACTION_NUMBER_FORMAT_SPECIFIER__PREFIX
The feature id for the 'Prefix' attribute.

See Also:
  - Constant Field Values

### FRACTION_NUMBER_FORMAT_SPECIFIER__SUFFIX

static final int FRACTION_NUMBER_FORMAT_SPECIFIER__SUFFIX
The feature id for the 'Suffix' attribute.

See Also:
  - Constant Field Values

### FRACTION_NUMBER_FORMAT_SPECIFIER__DELIMITER

static final int FRACTION_NUMBER_FORMAT_SPECIFIER__DELIMITER
The feature id for the 'Delimiter' attribute.

See Also:
  - Constant Field Values

### FRACTION_NUMBER_FORMAT_SPECIFIER_FEATURE_COUNT

static final int FRACTION_NUMBER_FORMAT_SPECIFIER_FEATURE_COUNT
The number of structural features of the 'Fraction Number Format Specifier' class.

See Also:
  - Constant Field Values

### GRADIENT__TYPE

static final int GRADIENT__TYPE
The feature id for the 'Type' attribute.

See Also:
  - Constant Field Values

### GRADIENT__START_COLOR

static final int GRADIENT__START_COLOR
The feature id for the 'Start Color' containment reference.

See Also:
  - Constant Field Values

### GRADIENT__END_COLOR

static final int GRADIENT__END_COLOR
The feature id for the 'End Color' containment reference.

See Also:
  - Constant Field Values

### GRADIENT__DIRECTION

static final int GRADIENT__DIRECTION
The feature id for the 'Direction' attribute.

See Also:
  - Constant Field Values

### GRADIENT__CYCLIC

static final int GRADIENT__CYCLIC
The feature id for the 'Cyclic' attribute.

See Also:
  - Constant Field Values

### GRADIENT__TRANSPARENCY

static final int GRADIENT__TRANSPARENCY
The feature id for the 'Transparency' attribute.

See Also:
  - Constant Field Values

### GRADIENT_FEATURE_COUNT

static final int GRADIENT_FEATURE_COUNT
The number of structural features of the 'Gradient' class.

See Also:
  - Constant Field Values

### INSETS__TOP

static final int INSETS__TOP
The feature id for the 'Top' attribute.

See Also:
  - Constant Field Values

### INSETS__LEFT

static final int INSETS__LEFT
The feature id for the 'Left' attribute.

See Also:
  - Constant Field Values

### INSETS__BOTTOM

static final int INSETS__BOTTOM
The feature id for the 'Bottom' attribute.

See Also:
  - Constant Field Values

### INSETS__RIGHT

static final int INSETS__RIGHT
The feature id for the 'Right' attribute.

See Also:
  - Constant Field Values

### INSETS_FEATURE_COUNT

static final int INSETS_FEATURE_COUNT
The number of structural features of the 'Insets' class.

See Also:
  - Constant Field Values

### INTERACTIVITY__ENABLE

static final int INTERACTIVITY__ENABLE
The feature id for the 'Enable' attribute.

See Also:
  - Constant Field Values

### INTERACTIVITY__LEGEND_BEHAVIOR

static final int INTERACTIVITY__LEGEND_BEHAVIOR
The feature id for the 'Legend Behavior' attribute.

See Also:
  - Constant Field Values

### INTERACTIVITY_FEATURE_COUNT

static final int INTERACTIVITY_FEATURE_COUNT
The number of structural features of the 'Interactivity' class.

See Also:
  - Constant Field Values

### JAVA_DATE_FORMAT_SPECIFIER__PATTERN

static final int JAVA_DATE_FORMAT_SPECIFIER__PATTERN
The feature id for the 'Pattern' attribute.

See Also:
  - Constant Field Values

### JAVA_DATE_FORMAT_SPECIFIER_FEATURE_COUNT

static final int JAVA_DATE_FORMAT_SPECIFIER_FEATURE_COUNT
The number of structural features of the 'Java Date Format Specifier' class.

See Also:
  - Constant Field Values

### JAVA_NUMBER_FORMAT_SPECIFIER__PATTERN

static final int JAVA_NUMBER_FORMAT_SPECIFIER__PATTERN
The feature id for the 'Pattern' attribute.

See Also:
  - Constant Field Values

### JAVA_NUMBER_FORMAT_SPECIFIER__MULTIPLIER

static final int JAVA_NUMBER_FORMAT_SPECIFIER__MULTIPLIER
The feature id for the 'Multiplier' attribute.

See Also:
  - Constant Field Values

### JAVA_NUMBER_FORMAT_SPECIFIER_FEATURE_COUNT

static final int JAVA_NUMBER_FORMAT_SPECIFIER_FEATURE_COUNT
The number of structural features of the 'Java Number Format Specifier' class.

See Also:
  - Constant Field Values

### LINE_ATTRIBUTES__STYLE

static final int LINE_ATTRIBUTES__STYLE
The feature id for the 'Style' attribute.

See Also:
  - Constant Field Values

### LINE_ATTRIBUTES__THICKNESS

static final int LINE_ATTRIBUTES__THICKNESS
The feature id for the 'Thickness' attribute.

See Also:
  - Constant Field Values

### LINE_ATTRIBUTES__COLOR

static final int LINE_ATTRIBUTES__COLOR
The feature id for the 'Color' containment reference.

See Also:
  - Constant Field Values

### LINE_ATTRIBUTES__VISIBLE

static final int LINE_ATTRIBUTES__VISIBLE
The feature id for the 'Visible' attribute.

See Also:
  - Constant Field Values

### LINE_ATTRIBUTES_FEATURE_COUNT

static final int LINE_ATTRIBUTES_FEATURE_COUNT
The number of structural features of the 'Line Attributes' class.

See Also:
  - Constant Field Values

### LOCATION__X

static final int LOCATION__X
The feature id for the 'X' attribute.

See Also:
  - Constant Field Values

### LOCATION__Y

static final int LOCATION__Y
The feature id for the 'Y' attribute.

See Also:
  - Constant Field Values

### LOCATION_FEATURE_COUNT

static final int LOCATION_FEATURE_COUNT
The number of structural features of the 'Location' class.

See Also:
  - Constant Field Values

### LOCATION3_D__X

static final int LOCATION3_D__X
The feature id for the 'X' attribute.

See Also:
  - Constant Field Values

### LOCATION3_D__Y

static final int LOCATION3_D__Y
The feature id for the 'Y' attribute.

See Also:
  - Constant Field Values

### LOCATION3_D__Z

static final int LOCATION3_D__Z
The feature id for the 'Z' attribute.

See Also:
  - Constant Field Values

### LOCATION3_D_FEATURE_COUNT

static final int LOCATION3_D_FEATURE_COUNT
The number of structural features of the 'Location3 D' class.

See Also:
  - Constant Field Values

### MARKER__TYPE

static final int MARKER__TYPE
The feature id for the 'Type' attribute.

See Also:
  - Constant Field Values

### MARKER__SIZE

static final int MARKER__SIZE
The feature id for the 'Size' attribute.

See Also:
  - Constant Field Values

### MARKER__VISIBLE

static final int MARKER__VISIBLE
The feature id for the 'Visible' attribute.

See Also:
  - Constant Field Values

### MARKER__FILL

static final int MARKER__FILL
The feature id for the 'Fill' containment reference.

See Also:
  - Constant Field Values

### MARKER__ICON_PALETTE

static final int MARKER__ICON_PALETTE
The feature id for the 'Icon Palette' containment reference.

See Also:
  - Constant Field Values

### MARKER__OUTLINE

static final int MARKER__OUTLINE
The feature id for the 'Outline' containment reference.

See Also:
  - Constant Field Values

### MARKER_FEATURE_COUNT

static final int MARKER_FEATURE_COUNT
The number of structural features of the 'Marker' class.

See Also:
  - Constant Field Values

### MULTIPLE_FILL__TYPE

static final int MULTIPLE_FILL__TYPE
The feature id for the 'Type' attribute.

See Also:
  - Constant Field Values

### MULTIPLE_FILL__FILLS

static final int MULTIPLE_FILL__FILLS
The feature id for the 'Fills' containment reference list.

See Also:
  - Constant Field Values

### MULTIPLE_FILL_FEATURE_COUNT

static final int MULTIPLE_FILL_FEATURE_COUNT
The number of structural features of the 'Multiple Fill' class.

See Also:
  - Constant Field Values

### MULTI_URL_VALUES

static final int MULTI_URL_VALUES
The meta object id for the '`Multi URL Values`' class.

See Also:
  - `MultiURLValuesImpl`
  - `AttributePackageImpl.getMultiURLValues()`
  - Constant Field Values

### MULTI_URL_VALUES__LABEL

static final int MULTI_URL_VALUES__LABEL
The feature id for the 'Label' containment reference.

See Also:
  - Constant Field Values

### MULTI_URL_VALUES__URL_VALUES

static final int MULTI_URL_VALUES__URL_VALUES
The feature id for the 'URL Values' containment reference list.

See Also:
  - Constant Field Values

### MULTI_URL_VALUES__TOOLTIP

static final int MULTI_URL_VALUES__TOOLTIP
The feature id for the 'Tooltip' attribute.

See Also:
  - Constant Field Values

### MULTI_URL_VALUES__PROPERTIES_MAP

static final int MULTI_URL_VALUES__PROPERTIES_MAP
The feature id for the 'Properties Map' map.

See Also:
  - Constant Field Values

### MULTI_URL_VALUES_FEATURE_COUNT

static final int MULTI_URL_VALUES_FEATURE_COUNT
The number of structural features of the 'Multi URL Values' class.

See Also:
  - Constant Field Values

### NUMBER_FORMAT_SPECIFIER__PREFIX

static final int NUMBER_FORMAT_SPECIFIER__PREFIX
The feature id for the 'Prefix' attribute.

See Also:
  - Constant Field Values

### NUMBER_FORMAT_SPECIFIER__SUFFIX

static final int NUMBER_FORMAT_SPECIFIER__SUFFIX
The feature id for the 'Suffix' attribute.

See Also:
  - Constant Field Values

### NUMBER_FORMAT_SPECIFIER__MULTIPLIER

static final int NUMBER_FORMAT_SPECIFIER__MULTIPLIER
The feature id for the 'Multiplier' attribute.

See Also:
  - Constant Field Values

### NUMBER_FORMAT_SPECIFIER__FRACTION_DIGITS

static final int NUMBER_FORMAT_SPECIFIER__FRACTION_DIGITS
The feature id for the 'Fraction Digits' attribute.

See Also:
  - Constant Field Values

### NUMBER_FORMAT_SPECIFIER_FEATURE_COUNT

static final int NUMBER_FORMAT_SPECIFIER_FEATURE_COUNT
The number of structural features of the 'Number Format Specifier' class.

See Also:
  - Constant Field Values

### PALETTE__NAME

static final int PALETTE__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### PALETTE__ENTRIES

static final int PALETTE__ENTRIES
The feature id for the 'Entries' containment reference list.

See Also:
  - Constant Field Values

### PALETTE_FEATURE_COUNT

static final int PALETTE_FEATURE_COUNT
The number of structural features of the 'Palette' class.

See Also:
  - Constant Field Values

### PATTERN_IMAGE

static final int PATTERN_IMAGE
The meta object id for the '`Pattern Image`' class.

See Also:
  - `PatternImageImpl`
  - `AttributePackageImpl.getPatternImage()`
  - Constant Field Values

### PATTERN_IMAGE__TYPE

static final int PATTERN_IMAGE__TYPE
The feature id for the 'Type' attribute.

See Also:
  - Constant Field Values

### PATTERN_IMAGE__URL

static final int PATTERN_IMAGE__URL
The feature id for the 'URL' attribute.

See Also:
  - Constant Field Values

### PATTERN_IMAGE__SOURCE

static final int PATTERN_IMAGE__SOURCE
The feature id for the 'Source' attribute.

See Also:
  - Constant Field Values

### PATTERN_IMAGE__BITMAP

static final int PATTERN_IMAGE__BITMAP
The feature id for the 'Bitmap' attribute.

See Also:
  - Constant Field Values

### PATTERN_IMAGE__FORE_COLOR

static final int PATTERN_IMAGE__FORE_COLOR
The feature id for the 'Fore Color' containment reference.

See Also:
  - Constant Field Values

### PATTERN_IMAGE__BACK_COLOR

static final int PATTERN_IMAGE__BACK_COLOR
The feature id for the 'Back Color' containment reference.

See Also:
  - Constant Field Values

### PATTERN_IMAGE_FEATURE_COUNT

static final int PATTERN_IMAGE_FEATURE_COUNT
The number of structural features of the 'Pattern Image' class.

See Also:
  - Constant Field Values

### ROTATION3_D__ANGLES

static final int ROTATION3_D__ANGLES
The feature id for the 'Angles' containment reference list.

See Also:
  - Constant Field Values

### ROTATION3_D_FEATURE_COUNT

static final int ROTATION3_D_FEATURE_COUNT
The number of structural features of the 'Rotation3 D' class.

See Also:
  - Constant Field Values

### SCRIPT_VALUE__LABEL

static final int SCRIPT_VALUE__LABEL
The feature id for the 'Label' containment reference.

See Also:
  - Constant Field Values

### SCRIPT_VALUE__SCRIPT

static final int SCRIPT_VALUE__SCRIPT
The feature id for the 'Script' attribute.

See Also:
  - Constant Field Values

### SCRIPT_VALUE_FEATURE_COUNT

static final int SCRIPT_VALUE_FEATURE_COUNT
The number of structural features of the 'Script Value' class.

See Also:
  - Constant Field Values

### SERIES_VALUE__LABEL

static final int SERIES_VALUE__LABEL
The feature id for the 'Label' containment reference.

See Also:
  - Constant Field Values

### SERIES_VALUE__NAME

static final int SERIES_VALUE__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### SERIES_VALUE_FEATURE_COUNT

static final int SERIES_VALUE_FEATURE_COUNT
The number of structural features of the 'Series Value' class.

See Also:
  - Constant Field Values

### SIZE__HEIGHT

static final int SIZE__HEIGHT
The feature id for the 'Height' attribute.

See Also:
  - Constant Field Values

### SIZE__WIDTH

static final int SIZE__WIDTH
The feature id for the 'Width' attribute.

See Also:
  - Constant Field Values

### SIZE_FEATURE_COUNT

static final int SIZE_FEATURE_COUNT
The number of structural features of the 'Size' class.

See Also:
  - Constant Field Values

### STRING_FORMAT_SPECIFIER

static final int STRING_FORMAT_SPECIFIER
The meta object id for the '`String Format Specifier`' class.

See Also:
  - `StringFormatSpecifierImpl`
  - `AttributePackageImpl.getStringFormatSpecifier()`
  - Constant Field Values

### STRING_FORMAT_SPECIFIER__PATTERN

static final int STRING_FORMAT_SPECIFIER__PATTERN
The feature id for the 'Pattern' attribute.

See Also:
  - Constant Field Values

### STRING_FORMAT_SPECIFIER_FEATURE_COUNT

static final int STRING_FORMAT_SPECIFIER_FEATURE_COUNT
The number of structural features of the 'String Format Specifier' class.

See Also:
  - Constant Field Values

### STYLE__FONT

static final int STYLE__FONT
The feature id for the 'Font' containment reference.

See Also:
  - Constant Field Values

### STYLE__COLOR

static final int STYLE__COLOR
The feature id for the 'Color' containment reference.

See Also:
  - Constant Field Values

### STYLE__BACKGROUND_COLOR

static final int STYLE__BACKGROUND_COLOR
The feature id for the 'Background Color' containment reference.

See Also:
  - Constant Field Values

### STYLE__BACKGROUND_IMAGE

static final int STYLE__BACKGROUND_IMAGE
The feature id for the 'Background Image' containment reference.

See Also:
  - Constant Field Values

### STYLE__PADDING

static final int STYLE__PADDING
The feature id for the 'Padding' containment reference.

See Also:
  - Constant Field Values

### STYLE_FEATURE_COUNT

static final int STYLE_FEATURE_COUNT
The number of structural features of the 'Style' class.

See Also:
  - Constant Field Values

### STYLE_MAP__COMPONENT_NAME

static final int STYLE_MAP__COMPONENT_NAME
The feature id for the 'Component Name' attribute.

See Also:
  - Constant Field Values

### STYLE_MAP__STYLE

static final int STYLE_MAP__STYLE
The feature id for the 'Style' attribute.

See Also:
  - Constant Field Values

### STYLE_MAP_FEATURE_COUNT

static final int STYLE_MAP_FEATURE_COUNT
The number of structural features of the 'Style Map' class.

See Also:
  - Constant Field Values

### TEXT__VALUE

static final int TEXT__VALUE
The feature id for the 'Value' attribute.

See Also:
  - Constant Field Values

### TEXT__FONT

static final int TEXT__FONT
The feature id for the 'Font' containment reference.

See Also:
  - Constant Field Values

### TEXT__COLOR

static final int TEXT__COLOR
The feature id for the 'Color' containment reference.

See Also:
  - Constant Field Values

### TEXT_FEATURE_COUNT

static final int TEXT_FEATURE_COUNT
The number of structural features of the 'Text' class.

See Also:
  - Constant Field Values

### TEXT_ALIGNMENT__HORIZONTAL_ALIGNMENT

static final int TEXT_ALIGNMENT__HORIZONTAL_ALIGNMENT
The feature id for the 'Horizontal Alignment' attribute.

See Also:
  - Constant Field Values

### TEXT_ALIGNMENT__VERTICAL_ALIGNMENT

static final int TEXT_ALIGNMENT__VERTICAL_ALIGNMENT
The feature id for the 'Vertical Alignment' attribute.

See Also:
  - Constant Field Values

### TEXT_ALIGNMENT_FEATURE_COUNT

static final int TEXT_ALIGNMENT_FEATURE_COUNT
The number of structural features of the 'Text Alignment' class.

See Also:
  - Constant Field Values

### TOOLTIP_VALUE__LABEL

static final int TOOLTIP_VALUE__LABEL
The feature id for the 'Label' containment reference.

See Also:
  - Constant Field Values

### TOOLTIP_VALUE__TEXT

static final int TOOLTIP_VALUE__TEXT
The feature id for the 'Text' attribute.

See Also:
  - Constant Field Values

### TOOLTIP_VALUE__DELAY

static final int TOOLTIP_VALUE__DELAY
The feature id for the 'Delay' attribute.

See Also:
  - Constant Field Values

### TOOLTIP_VALUE__FORMAT_SPECIFIER

static final int TOOLTIP_VALUE__FORMAT_SPECIFIER
The feature id for the 'Format Specifier' containment reference.

See Also:
  - Constant Field Values

### TOOLTIP_VALUE_FEATURE_COUNT

static final int TOOLTIP_VALUE_FEATURE_COUNT
The number of structural features of the 'Tooltip Value' class.

See Also:
  - Constant Field Values

### URL_VALUE__LABEL

static final int URL_VALUE__LABEL
The feature id for the 'Label' containment reference.

See Also:
  - Constant Field Values

### URL_VALUE__BASE_URL

static final int URL_VALUE__BASE_URL
The feature id for the 'Base Url' attribute.

See Also:
  - Constant Field Values

### URL_VALUE__TARGET

static final int URL_VALUE__TARGET
The feature id for the 'Target' attribute.

See Also:
  - Constant Field Values

### URL_VALUE__BASE_PARAMETER_NAME

static final int URL_VALUE__BASE_PARAMETER_NAME
The feature id for the 'Base Parameter Name' attribute.

See Also:
  - Constant Field Values

### URL_VALUE__VALUE_PARAMETER_NAME

static final int URL_VALUE__VALUE_PARAMETER_NAME
The feature id for the 'Value Parameter Name' attribute.

See Also:
  - Constant Field Values

### URL_VALUE__SERIES_PARAMETER_NAME

static final int URL_VALUE__SERIES_PARAMETER_NAME
The feature id for the 'Series Parameter Name' attribute.

See Also:
  - Constant Field Values

### URL_VALUE__TOOLTIP

static final int URL_VALUE__TOOLTIP
The feature id for the 'Tooltip' attribute.

See Also:
  - Constant Field Values

### URL_VALUE_FEATURE_COUNT

static final int URL_VALUE_FEATURE_COUNT
The number of structural features of the 'URL Value' class.

See Also:
  - Constant Field Values

### ACTION_TYPE

static final int ACTION_TYPE
The meta object id for the '`Action Type`' enum.

See Also:
  - `ActionType`
  - `AttributePackageImpl.getActionType()`
  - Constant Field Values

### ANCHOR

static final int ANCHOR
The meta object id for the '`Anchor`' enum.

See Also:
  - `Anchor`
  - `AttributePackageImpl.getAnchor()`
  - Constant Field Values

### ANGLE_TYPE

static final int ANGLE_TYPE
The meta object id for the '`Angle Type`' enum.

See Also:
  - `AngleType`
  - `AttributePackageImpl.getAngleType()`
  - Constant Field Values

### CHART_TYPE

static final int CHART_TYPE
The meta object id for the '`Chart Type`' enum.

See Also:
  - `ChartType`
  - `AttributePackageImpl.getChartType()`
  - Constant Field Values

### CURSOR_TYPE

static final int CURSOR_TYPE
The meta object id for the '`Cursor Type`' enum.

See Also:
  - `CursorType`
  - `AttributePackageImpl.getCursorType()`
  - Constant Field Values

### DATA_POINT_COMPONENT_TYPE

static final int DATA_POINT_COMPONENT_TYPE
The meta object id for the '`Data Point Component Type`' enum.

See Also:
  - `DataPointComponentType`
  - `AttributePackageImpl.getDataPointComponentType()`
  - Constant Field Values

### DATA_TYPE

static final int DATA_TYPE
The meta object id for the '`Data Type`' enum.

See Also:
  - `DataType`
  - `AttributePackageImpl.getDataType()`
  - Constant Field Values

### DATE_FORMAT_DETAIL

static final int DATE_FORMAT_DETAIL
The meta object id for the '`Date Format Detail`' enum.

See Also:
  - `DateFormatDetail`
  - `AttributePackageImpl.getDateFormatDetail()`
  - Constant Field Values

### DATE_FORMAT_TYPE

static final int DATE_FORMAT_TYPE
The meta object id for the '`Date Format Type`' enum.

See Also:
  - `DateFormatType`
  - `AttributePackageImpl.getDateFormatType()`
  - Constant Field Values

### DIRECTION

static final int DIRECTION
The meta object id for the '`Direction`' enum.

See Also:
  - `Direction`
  - `AttributePackageImpl.getDirection()`
  - Constant Field Values

### GROUPING_UNIT_TYPE

static final int GROUPING_UNIT_TYPE
The meta object id for the '`Grouping Unit Type`' enum.

See Also:
  - `GroupingUnitType`
  - `AttributePackageImpl.getGroupingUnitType()`
  - Constant Field Values

### HORIZONTAL_ALIGNMENT

static final int HORIZONTAL_ALIGNMENT
The meta object id for the '`Horizontal Alignment`' enum.

See Also:
  - `HorizontalAlignment`
  - `AttributePackageImpl.getHorizontalAlignment()`
  - Constant Field Values

### IMAGE_SOURCE_TYPE

static final int IMAGE_SOURCE_TYPE
The meta object id for the '`Image Source Type`' enum.

See Also:
  - `ImageSourceType`
  - `AttributePackageImpl.getImageSourceType()`
  - Constant Field Values

### INTERSECTION_TYPE

static final int INTERSECTION_TYPE
The meta object id for the '`Intersection Type`' enum.

See Also:
  - `IntersectionType`
  - `AttributePackageImpl.getIntersectionType()`
  - Constant Field Values

### LEADER_LINE_STYLE

static final int LEADER_LINE_STYLE
The meta object id for the '`Leader Line Style`' enum.

See Also:
  - `LeaderLineStyle`
  - `AttributePackageImpl.getLeaderLineStyle()`
  - Constant Field Values

### LEGEND_BEHAVIOR_TYPE

static final int LEGEND_BEHAVIOR_TYPE
The meta object id for the '`Legend Behavior Type`' enum.

See Also:
  - `LegendBehaviorType`
  - `AttributePackageImpl.getLegendBehaviorType()`
  - Constant Field Values

### LEGEND_ITEM_TYPE

static final int LEGEND_ITEM_TYPE
The meta object id for the '`Legend Item Type`' enum.

See Also:
  - `LegendItemType`
  - `AttributePackageImpl.getLegendItemType()`
  - Constant Field Values

### LINE_DECORATOR

static final int LINE_DECORATOR
The meta object id for the '`Line Decorator`' enum.

See Also:
  - `LineDecorator`
  - `AttributePackageImpl.getLineDecorator()`
  - Constant Field Values

### LINE_STYLE

static final int LINE_STYLE
The meta object id for the '`Line Style`' enum.

See Also:
  - `LineStyle`
  - `AttributePackageImpl.getLineStyle()`
  - Constant Field Values

### MARKER_TYPE

static final int MARKER_TYPE
The meta object id for the '`Marker Type`' enum.

See Also:
  - `MarkerType`
  - `AttributePackageImpl.getMarkerType()`
  - Constant Field Values

### MENU_STYLES_KEY_TYPE

static final int MENU_STYLES_KEY_TYPE
The meta object id for the '`Menu Styles Key Type`' enum.

See Also:
  - `MenuStylesKeyType`
  - `AttributePackageImpl.getMenuStylesKeyType()`
  - Constant Field Values

### ORIENTATION

static final int ORIENTATION
The meta object id for the '`Orientation`' enum.

See Also:
  - `Orientation`
  - `AttributePackageImpl.getOrientation()`
  - Constant Field Values

### POSITION

static final int POSITION
The meta object id for the '`Position`' enum.

See Also:
  - `Position`
  - `AttributePackageImpl.getPosition()`
  - Constant Field Values

### RISER_TYPE

static final int RISER_TYPE
The meta object id for the '`Riser Type`' enum.

See Also:
  - `RiserType`
  - `AttributePackageImpl.getRiserType()`
  - Constant Field Values

### RULE_TYPE

static final int RULE_TYPE
The meta object id for the '`Rule Type`' enum.

See Also:
  - `RuleType`
  - `AttributePackageImpl.getRuleType()`
  - Constant Field Values

### SCALE_UNIT_TYPE

static final int SCALE_UNIT_TYPE
The meta object id for the '`Scale Unit Type`' enum.

See Also:
  - `ScaleUnitType`
  - `AttributePackageImpl.getScaleUnitType()`
  - Constant Field Values

### SORT_OPTION

static final int SORT_OPTION
The meta object id for the '`Sort Option`' enum.

See Also:
  - `SortOption`
  - `AttributePackageImpl.getSortOption()`
  - Constant Field Values

### STRETCH

static final int STRETCH
The meta object id for the '`Stretch`' enum.

See Also:
  - `Stretch`
  - `AttributePackageImpl.getStretch()`
  - Constant Field Values

### STYLED_COMPONENT

static final int STYLED_COMPONENT
The meta object id for the '`Styled Component`' enum.

See Also:
  - `StyledComponent`
  - `AttributePackageImpl.getStyledComponent()`
  - Constant Field Values

### TICK_STYLE

static final int TICK_STYLE
The meta object id for the '`Tick Style`' enum.

See Also:
  - `TickStyle`
  - `AttributePackageImpl.getTickStyle()`
  - Constant Field Values

### TRIGGER_CONDITION

static final int TRIGGER_CONDITION
The meta object id for the '`Trigger Condition`' enum.

See Also:
  - `TriggerCondition`
  - `AttributePackageImpl.getTriggerCondition()`
  - Constant Field Values

### TRIGGER_FLOW

static final int TRIGGER_FLOW
The meta object id for the '`Trigger Flow`' enum.

See Also:
  - `TriggerFlow`
  - `AttributePackageImpl.getTriggerFlow()`
  - Constant Field Values

### UNITS_OF_MEASUREMENT

static final int UNITS_OF_MEASUREMENT
The meta object id for the '`Units Of Measurement`' enum.

See Also:
  - `UnitsOfMeasurement`
  - `AttributePackageImpl.getUnitsOfMeasurement()`
  - Constant Field Values

### VERTICAL_ALIGNMENT

static final int VERTICAL_ALIGNMENT
The meta object id for the '`Vertical Alignment`' enum.

See Also:
  - `VerticalAlignment`
  - `AttributePackageImpl.getVerticalAlignment()`
  - Constant Field Values

### ACTION_TYPE_OBJECT

static final int ACTION_TYPE_OBJECT
The meta object id for the 'Action Type Object' data type.

See Also:
  - `ActionType`
  - `AttributePackageImpl.getActionTypeObject()`
  - Constant Field Values

### ANCHOR_OBJECT

static final int ANCHOR_OBJECT
The meta object id for the 'Anchor Object' data type.

See Also:
  - `Anchor`
  - `AttributePackageImpl.getAnchorObject()`
  - Constant Field Values

### ANGLE_TYPE_OBJECT

static final int ANGLE_TYPE_OBJECT
The meta object id for the 'Angle Type Object' data type.

See Also:
  - `AngleType`
  - `AttributePackageImpl.getAngleTypeObject()`
  - Constant Field Values

### AXIS_TYPE_OBJECT

static final int AXIS_TYPE_OBJECT
The meta object id for the 'Axis Type Object' data type.

See Also:
  - `AxisType`
  - `AttributePackageImpl.getAxisTypeObject()`
  - Constant Field Values

### CHART_DIMENSION_OBJECT

static final int CHART_DIMENSION_OBJECT
The meta object id for the 'Chart Dimension Object' data type.

See Also:
  - `ChartDimension`
  - `AttributePackageImpl.getChartDimensionObject()`
  - Constant Field Values

### AXIS_TYPE

static final int AXIS_TYPE
The meta object id for the '`Axis Type`' enum.

See Also:
  - `AxisType`
  - `AttributePackageImpl.getAxisType()`
  - Constant Field Values

### CHART_DIMENSION

static final int CHART_DIMENSION
The meta object id for the '`Chart Dimension`' enum.

See Also:
  - `ChartDimension`
  - `AttributePackageImpl.getChartDimension()`
  - Constant Field Values

### CHART_TYPE_OBJECT

static final int CHART_TYPE_OBJECT
The meta object id for the 'Chart Type Object' data type.

See Also:
  - `ChartType`
  - `AttributePackageImpl.getChartTypeObject()`
  - Constant Field Values

### CURSOR_TYPE_OBJECT

static final int CURSOR_TYPE_OBJECT
The meta object id for the 'Cursor Type Object' data type.

See Also:
  - `CursorType`
  - `AttributePackageImpl.getCursorTypeObject()`
  - Constant Field Values

### DATA_POINT_COMPONENT_TYPE_OBJECT

static final int DATA_POINT_COMPONENT_TYPE_OBJECT
The meta object id for the 'Data Point Component Type Object' data type.

See Also:
  - `DataPointComponentType`
  - `AttributePackageImpl.getDataPointComponentTypeObject()`
  - Constant Field Values

### DATA_TYPE_OBJECT

static final int DATA_TYPE_OBJECT
The meta object id for the 'Data Type Object' data type.

See Also:
  - `DataType`
  - `AttributePackageImpl.getDataTypeObject()`
  - Constant Field Values

### DATE_FORMAT_DETAIL_OBJECT

static final int DATE_FORMAT_DETAIL_OBJECT
The meta object id for the 'Date Format Detail Object' data type.

See Also:
  - `DateFormatDetail`
  - `AttributePackageImpl.getDateFormatDetailObject()`
  - Constant Field Values

### DATE_FORMAT_TYPE_OBJECT

static final int DATE_FORMAT_TYPE_OBJECT
The meta object id for the 'Date Format Type Object' data type.

See Also:
  - `DateFormatType`
  - `AttributePackageImpl.getDateFormatTypeObject()`
  - Constant Field Values

### DIRECTION_OBJECT

static final int DIRECTION_OBJECT
The meta object id for the 'Direction Object' data type.

See Also:
  - `Direction`
  - `AttributePackageImpl.getDirectionObject()`
  - Constant Field Values

### GROUPING_UNIT_TYPE_OBJECT

static final int GROUPING_UNIT_TYPE_OBJECT
The meta object id for the 'Grouping Unit Type Object' data type.

See Also:
  - `GroupingUnitType`
  - `AttributePackageImpl.getGroupingUnitTypeObject()`
  - Constant Field Values

### HORIZONTAL_ALIGNMENT_OBJECT

static final int HORIZONTAL_ALIGNMENT_OBJECT
The meta object id for the 'Horizontal Alignment Object' data type.

See Also:
  - `HorizontalAlignment`
  - `AttributePackageImpl.getHorizontalAlignmentObject()`
  - Constant Field Values

### ID

static final int ID
The meta object id for the 'ID' data type.

See Also:
  - `String`
  - `AttributePackageImpl.getID()`
  - Constant Field Values

### IMAGE_SOURCE_TYPE_OBJECT

static final int IMAGE_SOURCE_TYPE_OBJECT
The meta object id for the 'Image Source Type Object' data type.

See Also:
  - `ImageSourceType`
  - `AttributePackageImpl.getImageSourceTypeObject()`
  - Constant Field Values

### INTERSECTION_TYPE_OBJECT

static final int INTERSECTION_TYPE_OBJECT
The meta object id for the 'Intersection Type Object' data type.

See Also:
  - `IntersectionType`
  - `AttributePackageImpl.getIntersectionTypeObject()`
  - Constant Field Values

### LEADER_LINE_STYLE_OBJECT

static final int LEADER_LINE_STYLE_OBJECT
The meta object id for the 'Leader Line Style Object' data type.

See Also:
  - `LeaderLineStyle`
  - `AttributePackageImpl.getLeaderLineStyleObject()`
  - Constant Field Values

### LEGEND_BEHAVIOR_TYPE_OBJECT

static final int LEGEND_BEHAVIOR_TYPE_OBJECT
The meta object id for the 'Legend Behavior Type Object' data type.

See Also:
  - `LegendBehaviorType`
  - `AttributePackageImpl.getLegendBehaviorTypeObject()`
  - Constant Field Values

### LEGEND_ITEM_TYPE_OBJECT

static final int LEGEND_ITEM_TYPE_OBJECT
The meta object id for the 'Legend Item Type Object' data type.

See Also:
  - `LegendItemType`
  - `AttributePackageImpl.getLegendItemTypeObject()`
  - Constant Field Values

### LINE_DECORATOR_OBJECT

static final int LINE_DECORATOR_OBJECT
The meta object id for the 'Line Decorator Object' data type.

See Also:
  - `LineDecorator`
  - `AttributePackageImpl.getLineDecoratorObject()`
  - Constant Field Values

### LINE_STYLE_OBJECT

static final int LINE_STYLE_OBJECT
The meta object id for the 'Line Style Object' data type.

See Also:
  - `LineStyle`
  - `AttributePackageImpl.getLineStyleObject()`
  - Constant Field Values

### MARKER_TYPE_OBJECT

static final int MARKER_TYPE_OBJECT
The meta object id for the 'Marker Type Object' data type.

See Also:
  - `MarkerType`
  - `AttributePackageImpl.getMarkerTypeObject()`
  - Constant Field Values

### MENU_STYLES_KEY_TYPE_OBJECT

static final int MENU_STYLES_KEY_TYPE_OBJECT
The meta object id for the 'Menu Styles Key Type Object' data type.

See Also:
  - `MenuStylesKeyType`
  - `AttributePackageImpl.getMenuStylesKeyTypeObject()`
  - Constant Field Values

### ORIENTATION_OBJECT

static final int ORIENTATION_OBJECT
The meta object id for the 'Orientation Object' data type.

See Also:
  - `Orientation`
  - `AttributePackageImpl.getOrientationObject()`
  - Constant Field Values

### PATTERN_BITMAP

static final int PATTERN_BITMAP
The meta object id for the 'Pattern Bitmap' data type.

See Also:
  - `AttributePackageImpl.getPatternBitmap()`
  - Constant Field Values

### PATTERN_BITMAP_OBJECT

static final int PATTERN_BITMAP_OBJECT
The meta object id for the 'Pattern Bitmap Object' data type.

See Also:
  - `Long`
  - `AttributePackageImpl.getPatternBitmapObject()`
  - Constant Field Values

### PERCENTAGE

static final int PERCENTAGE
The meta object id for the 'Percentage' data type.

See Also:
  - `AttributePackageImpl.getPercentage()`
  - Constant Field Values

### PERCENTAGE_OBJECT

static final int PERCENTAGE_OBJECT
The meta object id for the 'Percentage Object' data type.

See Also:
  - `Double`
  - `AttributePackageImpl.getPercentageObject()`
  - Constant Field Values

### POSITION_OBJECT

static final int POSITION_OBJECT
The meta object id for the 'Position Object' data type.

See Also:
  - `Position`
  - `AttributePackageImpl.getPositionObject()`
  - Constant Field Values

### RGB_VALUE

static final int RGB_VALUE
The meta object id for the 'RGB Value' data type.

See Also:
  - `AttributePackageImpl.getRGBValue()`
  - Constant Field Values

### RGB_VALUE_OBJECT

static final int RGB_VALUE_OBJECT
The meta object id for the 'RGB Value Object' data type.

See Also:
  - `Integer`
  - `AttributePackageImpl.getRGBValueObject()`
  - Constant Field Values

### RISER_TYPE_OBJECT

static final int RISER_TYPE_OBJECT
The meta object id for the 'Riser Type Object' data type.

See Also:
  - `RiserType`
  - `AttributePackageImpl.getRiserTypeObject()`
  - Constant Field Values

### RULE_TYPE_OBJECT

static final int RULE_TYPE_OBJECT
The meta object id for the 'Rule Type Object' data type.

See Also:
  - `RuleType`
  - `AttributePackageImpl.getRuleTypeObject()`
  - Constant Field Values

### SCALE_UNIT_TYPE_OBJECT

static final int SCALE_UNIT_TYPE_OBJECT
The meta object id for the 'Scale Unit Type Object' data type.

See Also:
  - `ScaleUnitType`
  - `AttributePackageImpl.getScaleUnitTypeObject()`
  - Constant Field Values

### SORT_OPTION_OBJECT

static final int SORT_OPTION_OBJECT
The meta object id for the 'Sort Option Object' data type.

See Also:
  - `SortOption`
  - `AttributePackageImpl.getSortOptionObject()`
  - Constant Field Values

### STRETCH_OBJECT

static final int STRETCH_OBJECT
The meta object id for the 'Stretch Object' data type.

See Also:
  - `Stretch`
  - `AttributePackageImpl.getStretchObject()`
  - Constant Field Values

### STYLED_COMPONENT_OBJECT

static final int STYLED_COMPONENT_OBJECT
The meta object id for the 'Styled Component Object' data type.

See Also:
  - `StyledComponent`
  - `AttributePackageImpl.getStyledComponentObject()`
  - Constant Field Values

### TICK_STYLE_OBJECT

static final int TICK_STYLE_OBJECT
The meta object id for the 'Tick Style Object' data type.

See Also:
  - `TickStyle`
  - `AttributePackageImpl.getTickStyleObject()`
  - Constant Field Values

### TRIGGER_CONDITION_OBJECT

static final int TRIGGER_CONDITION_OBJECT
The meta object id for the 'Trigger Condition Object' data type.

See Also:
  - `TriggerCondition`
  - `AttributePackageImpl.getTriggerConditionObject()`
  - Constant Field Values

### TRIGGER_FLOW_OBJECT

static final int TRIGGER_FLOW_OBJECT
The meta object id for the 'Trigger Flow Object' data type.

See Also:
  - `TriggerFlow`
  - `AttributePackageImpl.getTriggerFlowObject()`
  - Constant Field Values

### UNITS_OF_MEASUREMENT_OBJECT

static final int UNITS_OF_MEASUREMENT_OBJECT
The meta object id for the 'Units Of Measurement Object' data type.

See Also:
  - `UnitsOfMeasurement`
  - `AttributePackageImpl.getUnitsOfMeasurementObject()`
  - Constant Field Values

### VERTICAL_ALIGNMENT_OBJECT

static final int VERTICAL_ALIGNMENT_OBJECT
The meta object id for the 'Vertical Alignment Object' data type.

See Also:
  - `VerticalAlignment`
  - `AttributePackageImpl.getVerticalAlignmentObject()`
  - Constant Field Values

## Method Details

### getAccessibilityValue

org.eclipse.emf.ecore.EClass getAccessibilityValue()
Returns the meta object for class '`Accessibility Value`'.

Returns:
  the meta object for class 'Accessibility Value'.
See Also:
  - `AccessibilityValue`

### getAccessibilityValue_Text

org.eclipse.emf.ecore.EAttribute getAccessibilityValue_Text()
Returns the meta object for the attribute '`Text`'.

Returns:
  the meta object for the attribute 'Text'.
See Also:
  - `AccessibilityValue.getText()`
  - `getAccessibilityValue()`

### getAccessibilityValue_Accessibility

org.eclipse.emf.ecore.EAttribute getAccessibilityValue_Accessibility()
Returns the meta object for the attribute '`Accessibility`'.

Returns:
  the meta object for the attribute 'Accessibility'.
See Also:
  - `AccessibilityValue.getAccessibility()`
  - `getAccessibilityValue()`

### getActionValue

org.eclipse.emf.ecore.EClass getActionValue()
Returns the meta object for class '`Action Value`'.

Returns:
  the meta object for class 'Action Value'.
See Also:
  - `ActionValue`

### getActionValue_Label

org.eclipse.emf.ecore.EReference getActionValue_Label()
Returns the meta object for the containment reference '`Label`'.

Returns:
  the meta object for the containment reference 'Label'.
See Also:
  - `ActionValue.getLabel()`
  - `getActionValue()`

### getAngle3D

org.eclipse.emf.ecore.EClass getAngle3D()
Returns the meta object for class '`Angle3 D`'.

Returns:
  the meta object for class 'Angle3 D'.
See Also:
  - `Angle3D`

### getAngle3D_XAngle

org.eclipse.emf.ecore.EAttribute getAngle3D_XAngle()
Returns the meta object for the attribute '`XAngle`'.

Returns:
  the meta object for the attribute 'XAngle'.
See Also:
  - `Angle3D.getXAngle()`
  - `getAngle3D()`

### getAngle3D_YAngle

org.eclipse.emf.ecore.EAttribute getAngle3D_YAngle()
Returns the meta object for the attribute '`YAngle`'.

Returns:
  the meta object for the attribute 'YAngle'.
See Also:
  - `Angle3D.getYAngle()`
  - `getAngle3D()`

### getAngle3D_ZAngle

org.eclipse.emf.ecore.EAttribute getAngle3D_ZAngle()
Returns the meta object for the attribute '`ZAngle`'.

Returns:
  the meta object for the attribute 'ZAngle'.
See Also:
  - `Angle3D.getZAngle()`
  - `getAngle3D()`

### getAngle3D_Type

org.eclipse.emf.ecore.EAttribute getAngle3D_Type()
Returns the meta object for the attribute '`Type`'.

Returns:
  the meta object for the attribute 'Type'.
See Also:
  - `Angle3D.getType()`
  - `getAngle3D()`

### getAxisOrigin

org.eclipse.emf.ecore.EClass getAxisOrigin()
Returns the meta object for class '`Axis Origin`'.

Returns:
  the meta object for class 'Axis Origin'.
See Also:
  - `AxisOrigin`

### getAxisOrigin_Type

org.eclipse.emf.ecore.EAttribute getAxisOrigin_Type()
Returns the meta object for the attribute '`Type`'.

Returns:
  the meta object for the attribute 'Type'.
See Also:
  - `AxisOrigin.getType()`
  - `getAxisOrigin()`

### getAxisOrigin_Value

org.eclipse.emf.ecore.EReference getAxisOrigin_Value()
Returns the meta object for the containment reference '`Value`'.

Returns:
  the meta object for the containment reference 'Value'.
See Also:
  - `AxisOrigin.getValue()`
  - `getAxisOrigin()`

### getBounds

org.eclipse.emf.ecore.EClass getBounds()
Returns the meta object for class '`Bounds`'.

Returns:
  the meta object for class 'Bounds'.
See Also:
  - `Bounds`

### getBounds_Left

org.eclipse.emf.ecore.EAttribute getBounds_Left()
Returns the meta object for the attribute '`Left`'.

Returns:
  the meta object for the attribute 'Left'.
See Also:
  - `Bounds.getLeft()`
  - `getBounds()`

### getBounds_Top

org.eclipse.emf.ecore.EAttribute getBounds_Top()
Returns the meta object for the attribute '`Top`'.

Returns:
  the meta object for the attribute 'Top'.
See Also:
  - `Bounds.getTop()`
  - `getBounds()`

### getBounds_Width

org.eclipse.emf.ecore.EAttribute getBounds_Width()
Returns the meta object for the attribute '`Width`'.

Returns:
  the meta object for the attribute 'Width'.
See Also:
  - `Bounds.getWidth()`
  - `getBounds()`

### getBounds_Height

org.eclipse.emf.ecore.EAttribute getBounds_Height()
Returns the meta object for the attribute '`Height`'.

Returns:
  the meta object for the attribute 'Height'.
See Also:
  - `Bounds.getHeight()`
  - `getBounds()`

### getCallBackValue

org.eclipse.emf.ecore.EClass getCallBackValue()
Returns the meta object for class '`Call Back Value`'.

Returns:
  the meta object for class 'Call Back Value'.
See Also:
  - `CallBackValue`

### getCallBackValue_Identifier

org.eclipse.emf.ecore.EAttribute getCallBackValue_Identifier()
Returns the meta object for the attribute '`Identifier`'.

Returns:
  the meta object for the attribute 'Identifier'.
See Also:
  - `CallBackValue.getIdentifier()`
  - `getCallBackValue()`

### getColorDefinition

org.eclipse.emf.ecore.EClass getColorDefinition()
Returns the meta object for class '`Color Definition`'.

Returns:
  the meta object for class 'Color Definition'.
See Also:
  - `ColorDefinition`

### getColorDefinition_Transparency

org.eclipse.emf.ecore.EAttribute getColorDefinition_Transparency()
Returns the meta object for the attribute '`Transparency`'.

Returns:
  the meta object for the attribute 'Transparency'.
See Also:
  - `ColorDefinition.getTransparency()`
  - `getColorDefinition()`

### getColorDefinition_Red

org.eclipse.emf.ecore.EAttribute getColorDefinition_Red()
Returns the meta object for the attribute '`Red`'.

Returns:
  the meta object for the attribute 'Red'.
See Also:
  - `ColorDefinition.getRed()`
  - `getColorDefinition()`

### getColorDefinition_Blue

org.eclipse.emf.ecore.EAttribute getColorDefinition_Blue()
Returns the meta object for the attribute '`Blue`'.

Returns:
  the meta object for the attribute 'Blue'.
See Also:
  - `ColorDefinition.getBlue()`
  - `getColorDefinition()`

### getCursor

org.eclipse.emf.ecore.EClass getCursor()
Returns the meta object for class '`Cursor`'.

Returns:
  the meta object for class 'Cursor'.
See Also:
  - `Cursor`

### getCursor_Type

org.eclipse.emf.ecore.EAttribute getCursor_Type()
Returns the meta object for the attribute '`Type`'.

Returns:
  the meta object for the attribute 'Type'.
See Also:
  - `Cursor.getType()`
  - `getCursor()`

### getCursor_Image

org.eclipse.emf.ecore.EReference getCursor_Image()
Returns the meta object for the containment reference list '`Image`'.

Returns:
  the meta object for the containment reference list 'Image'.
See Also:
  - `Cursor.getImage()`
  - `getCursor()`

### getColorDefinition_Green

org.eclipse.emf.ecore.EAttribute getColorDefinition_Green()
Returns the meta object for the attribute '`Green`'.

Returns:
  the meta object for the attribute 'Green'.
See Also:
  - `ColorDefinition.getGreen()`
  - `getColorDefinition()`

### getDataPoint

org.eclipse.emf.ecore.EClass getDataPoint()
Returns the meta object for class '`Data Point`'.

Returns:
  the meta object for class 'Data Point'.
See Also:
  - `DataPoint`

### getDataPoint_Components

org.eclipse.emf.ecore.EReference getDataPoint_Components()
Returns the meta object for the containment reference list '`Components`'.

Returns:
  the meta object for the containment reference list 'Components'.
See Also:
  - `DataPoint.getComponents()`
  - `getDataPoint()`

### getDataPoint_Prefix

org.eclipse.emf.ecore.EAttribute getDataPoint_Prefix()
Returns the meta object for the attribute '`Prefix`'.

Returns:
  the meta object for the attribute 'Prefix'.
See Also:
  - `DataPoint.getPrefix()`
  - `getDataPoint()`

### getDataPoint_Suffix

org.eclipse.emf.ecore.EAttribute getDataPoint_Suffix()
Returns the meta object for the attribute '`Suffix`'.

Returns:
  the meta object for the attribute 'Suffix'.
See Also:
  - `DataPoint.getSuffix()`
  - `getDataPoint()`

### getDataPoint_Separator

org.eclipse.emf.ecore.EAttribute getDataPoint_Separator()
Returns the meta object for the attribute '`Separator`'.

Returns:
  the meta object for the attribute 'Separator'.
See Also:
  - `DataPoint.getSeparator()`
  - `getDataPoint()`

### getDataPointComponent

org.eclipse.emf.ecore.EClass getDataPointComponent()
Returns the meta object for class '`Data Point Component`'.

Returns:
  the meta object for class 'Data Point Component'.
See Also:
  - `DataPointComponent`

### getDataPointComponent_Type

org.eclipse.emf.ecore.EAttribute getDataPointComponent_Type()
Returns the meta object for the attribute '`Type`'.

Returns:
  the meta object for the attribute 'Type'.
See Also:
  - `DataPointComponent.getType()`
  - `getDataPointComponent()`

### getDataPointComponent_FormatSpecifier

org.eclipse.emf.ecore.EReference getDataPointComponent_FormatSpecifier()
Returns the meta object for the containment reference '`Format Specifier`'.

Returns:
  the meta object for the containment reference 'Format Specifier'.
See Also:
  - `DataPointComponent.getFormatSpecifier()`
  - `getDataPointComponent()`

### getDataPointComponent_OrthogonalType

org.eclipse.emf.ecore.EAttribute getDataPointComponent_OrthogonalType()
Returns the meta object for the attribute '`Orthogonal Type`'.

Returns:
  the meta object for the attribute 'Orthogonal Type'.
See Also:
  - `DataPointComponent.getOrthogonalType()`
  - `getDataPointComponent()`

### getDateFormatSpecifier

org.eclipse.emf.ecore.EClass getDateFormatSpecifier()
Returns the meta object for class '`Date Format Specifier`'.

Returns:
  the meta object for class 'Date Format Specifier'.
See Also:
  - `DateFormatSpecifier`

### getDateFormatSpecifier_Type

org.eclipse.emf.ecore.EAttribute getDateFormatSpecifier_Type()
Returns the meta object for the attribute '`Type`'.

Returns:
  the meta object for the attribute 'Type'.
See Also:
  - `DateFormatSpecifier.getType()`
  - `getDateFormatSpecifier()`

### getDateFormatSpecifier_Detail

org.eclipse.emf.ecore.EAttribute getDateFormatSpecifier_Detail()
Returns the meta object for the attribute '`Detail`'.

Returns:
  the meta object for the attribute 'Detail'.
See Also:
  - `DateFormatSpecifier.getDetail()`
  - `getDateFormatSpecifier()`

### getEmbeddedImage

org.eclipse.emf.ecore.EClass getEmbeddedImage()
Returns the meta object for class '`Embedded Image`'.

Returns:
  the meta object for class 'Embedded Image'.
See Also:
  - `EmbeddedImage`

### getEmbeddedImage_Data

org.eclipse.emf.ecore.EAttribute getEmbeddedImage_Data()
Returns the meta object for the attribute '`Data`'.

Returns:
  the meta object for the attribute 'Data'.
See Also:
  - `EmbeddedImage.getData()`
  - `getEmbeddedImage()`

### getEStringToStringMapEntry

org.eclipse.emf.ecore.EClass getEStringToStringMapEntry()
Returns the meta object for class '`EString To String Map Entry`'.

Returns:
  the meta object for class 'EString To String Map Entry'.
See Also:
  - `Map.Entry`

### getEStringToStringMapEntry_Key

org.eclipse.emf.ecore.EAttribute getEStringToStringMapEntry_Key()
Returns the meta object for the attribute '`Key`'.

Returns:
  the meta object for the attribute 'Key'.
See Also:
  - `Map.Entry`
  - `getEStringToStringMapEntry()`

### getEStringToStringMapEntry_Value

org.eclipse.emf.ecore.EAttribute getEStringToStringMapEntry_Value()
Returns the meta object for the attribute '`Value`'.

Returns:
  the meta object for the attribute 'Value'.
See Also:
  - `Map.Entry`
  - `getEStringToStringMapEntry()`

### getExtendedProperty

org.eclipse.emf.ecore.EClass getExtendedProperty()
Returns the meta object for class '`Extended Property`'.

Returns:
  the meta object for class 'Extended Property'.
See Also:
  - `ExtendedProperty`

### getExtendedProperty_Name

org.eclipse.emf.ecore.EAttribute getExtendedProperty_Name()
Returns the meta object for the attribute '`Name`'.

Returns:
  the meta object for the attribute 'Name'.
See Also:
  - `ExtendedProperty.getName()`
  - `getExtendedProperty()`

### getExtendedProperty_Value

org.eclipse.emf.ecore.EAttribute getExtendedProperty_Value()
Returns the meta object for the attribute '`Value`'.

Returns:
  the meta object for the attribute 'Value'.
See Also:
  - `ExtendedProperty.getValue()`
  - `getExtendedProperty()`

### getFill

org.eclipse.emf.ecore.EClass getFill()
Returns the meta object for class ' `Fill`'.

Returns:
  the meta object for class 'Fill'.
See Also:
  - `Fill`

### getFill_Type

org.eclipse.emf.ecore.EAttribute getFill_Type()
Returns the meta object for the attribute '`Type`'.

Returns:
  the meta object for the attribute 'Type'.
See Also:
  - `Fill.getType()`
  - `getFill()`

### getFontDefinition

org.eclipse.emf.ecore.EClass getFontDefinition()
Returns the meta object for class '`Font Definition`'.

Returns:
  the meta object for class 'Font Definition'.
See Also:
  - `FontDefinition`

### getFontDefinition_Name

org.eclipse.emf.ecore.EAttribute getFontDefinition_Name()
Returns the meta object for the attribute '`Name`'.

Returns:
  the meta object for the attribute 'Name'.
See Also:
  - `FontDefinition.getName()`
  - `getFontDefinition()`

### getFontDefinition_Size

org.eclipse.emf.ecore.EAttribute getFontDefinition_Size()
Returns the meta object for the attribute '`Size`'.

Returns:
  the meta object for the attribute 'Size'.
See Also:
  - `FontDefinition.getSize()`
  - `getFontDefinition()`

### getFontDefinition_Bold

org.eclipse.emf.ecore.EAttribute getFontDefinition_Bold()
Returns the meta object for the attribute '`Bold`'.

Returns:
  the meta object for the attribute 'Bold'.
See Also:
  - `FontDefinition.isBold()`
  - `getFontDefinition()`

### getFontDefinition_Italic

org.eclipse.emf.ecore.EAttribute getFontDefinition_Italic()
Returns the meta object for the attribute '`Italic`'.

Returns:
  the meta object for the attribute 'Italic'.
See Also:
  - `FontDefinition.isItalic()`
  - `getFontDefinition()`

### getFontDefinition_Strikethrough

org.eclipse.emf.ecore.EAttribute getFontDefinition_Strikethrough()
Returns the meta object for the attribute '`Strikethrough`'.

Returns:
  the meta object for the attribute 'Strikethrough'.
See Also:
  - `FontDefinition.isStrikethrough()`
  - `getFontDefinition()`

### getFontDefinition_Underline

org.eclipse.emf.ecore.EAttribute getFontDefinition_Underline()
Returns the meta object for the attribute '`Underline`'.

Returns:
  the meta object for the attribute 'Underline'.
See Also:
  - `FontDefinition.isUnderline()`
  - `getFontDefinition()`

### getFontDefinition_WordWrap

org.eclipse.emf.ecore.EAttribute getFontDefinition_WordWrap()
Returns the meta object for the attribute '`Word Wrap`'.

Returns:
  the meta object for the attribute 'Word Wrap'.
See Also:
  - `FontDefinition.isWordWrap()`
  - `getFontDefinition()`

### getFontDefinition_Alignment

org.eclipse.emf.ecore.EReference getFontDefinition_Alignment()
Returns the meta object for the containment reference '`Alignment`'.

Returns:
  the meta object for the containment reference 'Alignment'.
See Also:
  - `FontDefinition.getAlignment()`
  - `getFontDefinition()`

### getFontDefinition_Rotation

org.eclipse.emf.ecore.EAttribute getFontDefinition_Rotation()
Returns the meta object for the attribute '`Rotation`'.

Returns:
  the meta object for the attribute 'Rotation'.
See Also:
  - `FontDefinition.getRotation()`
  - `getFontDefinition()`

### getFormatSpecifier

org.eclipse.emf.ecore.EClass getFormatSpecifier()
Returns the meta object for class '`Format Specifier`'.

Returns:
  the meta object for class 'Format Specifier'.
See Also:
  - `FormatSpecifier`

### getFractionNumberFormatSpecifier

org.eclipse.emf.ecore.EClass getFractionNumberFormatSpecifier()
Returns the meta object for class '`Fraction Number Format Specifier`'.

Returns:
  the meta object for class 'Fraction Number Format Specifier'.
See Also:
  - `FractionNumberFormatSpecifier`

### getFractionNumberFormatSpecifier_Precise

org.eclipse.emf.ecore.EAttribute getFractionNumberFormatSpecifier_Precise()
Returns the meta object for the attribute '`Precise`'.

Returns:
  the meta object for the attribute 'Precise'.
See Also:
  - `FractionNumberFormatSpecifier.isPrecise()`
  - `getFractionNumberFormatSpecifier()`

### getFractionNumberFormatSpecifier_FractionDigits

org.eclipse.emf.ecore.EAttribute getFractionNumberFormatSpecifier_FractionDigits()
Returns the meta object for the attribute '`Fraction Digits`'.

Returns:
  the meta object for the attribute 'Fraction Digits'.
See Also:
  - `FractionNumberFormatSpecifier.getFractionDigits()`
  - `getFractionNumberFormatSpecifier()`

### getFractionNumberFormatSpecifier_Numerator

org.eclipse.emf.ecore.EAttribute getFractionNumberFormatSpecifier_Numerator()
Returns the meta object for the attribute '`Numerator`'.

Returns:
  the meta object for the attribute 'Numerator'.
See Also:
  - `FractionNumberFormatSpecifier.getNumerator()`
  - `getFractionNumberFormatSpecifier()`

### getFractionNumberFormatSpecifier_Prefix

org.eclipse.emf.ecore.EAttribute getFractionNumberFormatSpecifier_Prefix()
Returns the meta object for the attribute '`Prefix`'.

Returns:
  the meta object for the attribute 'Prefix'.
See Also:
  - `FractionNumberFormatSpecifier.getPrefix()`
  - `getFractionNumberFormatSpecifier()`

### getFractionNumberFormatSpecifier_Suffix

org.eclipse.emf.ecore.EAttribute getFractionNumberFormatSpecifier_Suffix()
Returns the meta object for the attribute '`Suffix`'.

Returns:
  the meta object for the attribute 'Suffix'.
See Also:
  - `FractionNumberFormatSpecifier.getSuffix()`
  - `getFractionNumberFormatSpecifier()`

### getFractionNumberFormatSpecifier_Delimiter

org.eclipse.emf.ecore.EAttribute getFractionNumberFormatSpecifier_Delimiter()
Returns the meta object for the attribute '`Delimiter`'.

Returns:
  the meta object for the attribute 'Delimiter'.
See Also:
  - `FractionNumberFormatSpecifier.getDelimiter()`
  - `getFractionNumberFormatSpecifier()`

### getGradient

org.eclipse.emf.ecore.EClass getGradient()
Returns the meta object for class '`Gradient`'.

Returns:
  the meta object for class 'Gradient'.
See Also:
  - `Gradient`

### getGradient_StartColor

org.eclipse.emf.ecore.EReference getGradient_StartColor()
Returns the meta object for the containment reference '`Start Color`'.

Returns:
  the meta object for the containment reference 'Start Color'.
See Also:
  - `Gradient.getStartColor()`
  - `getGradient()`

### getGradient_EndColor

org.eclipse.emf.ecore.EReference getGradient_EndColor()
Returns the meta object for the containment reference '`End Color`'.

Returns:
  the meta object for the containment reference 'End Color'.
See Also:
  - `Gradient.getEndColor()`
  - `getGradient()`

### getGradient_Direction

org.eclipse.emf.ecore.EAttribute getGradient_Direction()
Returns the meta object for the attribute '`Direction`'.

Returns:
  the meta object for the attribute 'Direction'.
See Also:
  - `Gradient.getDirection()`
  - `getGradient()`

### getGradient_Cyclic

org.eclipse.emf.ecore.EAttribute getGradient_Cyclic()
Returns the meta object for the attribute '`Cyclic`'.

Returns:
  the meta object for the attribute 'Cyclic'.
See Also:
  - `Gradient.isCyclic()`
  - `getGradient()`

### getGradient_Transparency

org.eclipse.emf.ecore.EAttribute getGradient_Transparency()
Returns the meta object for the attribute '`Transparency`'.

Returns:
  the meta object for the attribute 'Transparency'.
See Also:
  - `Gradient.getTransparency()`
  - `getGradient()`

### getImage

org.eclipse.emf.ecore.EClass getImage()
Returns the meta object for class '`Image`'.

Returns:
  the meta object for class 'Image'.
See Also:
  - `Image`

### getImage_URL

org.eclipse.emf.ecore.EAttribute getImage_URL()
Returns the meta object for the attribute '`URL`'.

Returns:
  the meta object for the attribute 'URL'.
See Also:
  - `Image.getURL()`
  - `getImage()`

### getImage_Source

org.eclipse.emf.ecore.EAttribute getImage_Source()
Returns the meta object for the attribute '`Source`'.

Returns:
  the meta object for the attribute 'Source'.
See Also:
  - `Image.getSource()`
  - `getImage()`

### getInsets

org.eclipse.emf.ecore.EClass getInsets()
Returns the meta object for class '`Insets`'.

Returns:
  the meta object for class 'Insets'.
See Also:
  - `Insets`

### getInsets_Top

org.eclipse.emf.ecore.EAttribute getInsets_Top()
Returns the meta object for the attribute '`Top`'.

Returns:
  the meta object for the attribute 'Top'.
See Also:
  - `Insets.getTop()`
  - `getInsets()`

### getInsets_Left

org.eclipse.emf.ecore.EAttribute getInsets_Left()
Returns the meta object for the attribute '`Left`'.

Returns:
  the meta object for the attribute 'Left'.
See Also:
  - `Insets.getLeft()`
  - `getInsets()`

### getInsets_Bottom

org.eclipse.emf.ecore.EAttribute getInsets_Bottom()
Returns the meta object for the attribute '`Bottom`'.

Returns:
  the meta object for the attribute 'Bottom'.
See Also:
  - `Insets.getBottom()`
  - `getInsets()`

### getInsets_Right

org.eclipse.emf.ecore.EAttribute getInsets_Right()
Returns the meta object for the attribute '`Right`'.

Returns:
  the meta object for the attribute 'Right'.
See Also:
  - `Insets.getRight()`
  - `getInsets()`

### getInteractivity

org.eclipse.emf.ecore.EClass getInteractivity()
Returns the meta object for class '`Interactivity`'.

Returns:
  the meta object for class 'Interactivity'.
See Also:
  - `Interactivity`

### getInteractivity_Enable

org.eclipse.emf.ecore.EAttribute getInteractivity_Enable()
Returns the meta object for the attribute '`Enable`'.

Returns:
  the meta object for the attribute 'Enable'.
See Also:
  - `Interactivity.isEnable()`
  - `getInteractivity()`

### getInteractivity_LegendBehavior

org.eclipse.emf.ecore.EAttribute getInteractivity_LegendBehavior()
Returns the meta object for the attribute '`Legend Behavior`'.

Returns:
  the meta object for the attribute 'Legend Behavior'.
See Also:
  - `Interactivity.getLegendBehavior()`
  - `getInteractivity()`

### getJavaDateFormatSpecifier

org.eclipse.emf.ecore.EClass getJavaDateFormatSpecifier()
Returns the meta object for class '`Java Date Format Specifier`'.

Returns:
  the meta object for class 'Java Date Format Specifier'.
See Also:
  - `JavaDateFormatSpecifier`

### getJavaDateFormatSpecifier_Pattern

org.eclipse.emf.ecore.EAttribute getJavaDateFormatSpecifier_Pattern()
Returns the meta object for the attribute '`Pattern`'.

Returns:
  the meta object for the attribute 'Pattern'.
See Also:
  - `JavaDateFormatSpecifier.getPattern()`
  - `getJavaDateFormatSpecifier()`

### getJavaNumberFormatSpecifier

org.eclipse.emf.ecore.EClass getJavaNumberFormatSpecifier()
Returns the meta object for class '`Java Number Format Specifier`'.

Returns:
  the meta object for class 'Java Number Format Specifier'.
See Also:
  - `JavaNumberFormatSpecifier`

### getJavaNumberFormatSpecifier_Pattern

org.eclipse.emf.ecore.EAttribute getJavaNumberFormatSpecifier_Pattern()
Returns the meta object for the attribute '`Pattern`'.

Returns:
  the meta object for the attribute 'Pattern'.
See Also:
  - `JavaNumberFormatSpecifier.getPattern()`
  - `getJavaNumberFormatSpecifier()`

### getJavaNumberFormatSpecifier_Multiplier

org.eclipse.emf.ecore.EAttribute getJavaNumberFormatSpecifier_Multiplier()
Returns the meta object for the attribute '`Multiplier`'.

Returns:
  the meta object for the attribute 'Multiplier'.
See Also:
  - `JavaNumberFormatSpecifier.getMultiplier()`
  - `getJavaNumberFormatSpecifier()`

### getLineAttributes

org.eclipse.emf.ecore.EClass getLineAttributes()
Returns the meta object for class '`Line Attributes`'.

Returns:
  the meta object for class 'Line Attributes'.
See Also:
  - `LineAttributes`

### getLineAttributes_Style

org.eclipse.emf.ecore.EAttribute getLineAttributes_Style()
Returns the meta object for the attribute '`Style`'.

Returns:
  the meta object for the attribute 'Style'.
See Also:
  - `LineAttributes.getStyle()`
  - `getLineAttributes()`

### getLineAttributes_Thickness

org.eclipse.emf.ecore.EAttribute getLineAttributes_Thickness()
Returns the meta object for the attribute '`Thickness`'.

Returns:
  the meta object for the attribute 'Thickness'.
See Also:
  - `LineAttributes.getThickness()`
  - `getLineAttributes()`

### getLineAttributes_Color

org.eclipse.emf.ecore.EReference getLineAttributes_Color()
Returns the meta object for the containment reference '`Color`'.

Returns:
  the meta object for the containment reference 'Color'.
See Also:
  - `LineAttributes.getColor()`
  - `getLineAttributes()`

### getLineAttributes_Visible

org.eclipse.emf.ecore.EAttribute getLineAttributes_Visible()
Returns the meta object for the attribute '`Visible`'.

Returns:
  the meta object for the attribute 'Visible'.
See Also:
  - `LineAttributes.isVisible()`
  - `getLineAttributes()`

### getLocation

org.eclipse.emf.ecore.EClass getLocation()
Returns the meta object for class '`Location`'.

Returns:
  the meta object for class 'Location'.
See Also:
  - `Location`

### getLocation_X

org.eclipse.emf.ecore.EAttribute getLocation_X()
Returns the meta object for the attribute '`X`'.

Returns:
  the meta object for the attribute 'X'.
See Also:
  - `Location.getX()`
  - `getLocation()`

### getLocation_Y

org.eclipse.emf.ecore.EAttribute getLocation_Y()
Returns the meta object for the attribute '`Y`'.

Returns:
  the meta object for the attribute 'Y'.
See Also:
  - `Location.getY()`
  - `getLocation()`

### getLocation3D

org.eclipse.emf.ecore.EClass getLocation3D()
Returns the meta object for class '`Location3 D`'.

Returns:
  the meta object for class 'Location3 D'.
See Also:
  - `Location3D`

### getLocation3D_Z

org.eclipse.emf.ecore.EAttribute getLocation3D_Z()
Returns the meta object for the attribute '`Z`'.

Returns:
  the meta object for the attribute 'Z'.
See Also:
  - `Location3D.getZ()`
  - `getLocation3D()`

### getMarker

org.eclipse.emf.ecore.EClass getMarker()
Returns the meta object for class '`Marker`'.

Returns:
  the meta object for class 'Marker'.
See Also:
  - `Marker`

### getMarker_Type

org.eclipse.emf.ecore.EAttribute getMarker_Type()
Returns the meta object for the attribute '`Type`'.

Returns:
  the meta object for the attribute 'Type'.
See Also:
  - `Marker.getType()`
  - `getMarker()`

### getMarker_Size

org.eclipse.emf.ecore.EAttribute getMarker_Size()
Returns the meta object for the attribute '`Size`'.

Returns:
  the meta object for the attribute 'Size'.
See Also:
  - `Marker.getSize()`
  - `getMarker()`

### getMarker_Visible

org.eclipse.emf.ecore.EAttribute getMarker_Visible()
Returns the meta object for the attribute '`Visible`'.

Returns:
  the meta object for the attribute 'Visible'.
See Also:
  - `Marker.isVisible()`
  - `getMarker()`

### getMarker_Fill

org.eclipse.emf.ecore.EReference getMarker_Fill()
Returns the meta object for the containment reference '`Fill`'.

Returns:
  the meta object for the containment reference 'Fill'.
See Also:
  - `Marker.getFill()`
  - `getMarker()`

### getMarker_IconPalette

org.eclipse.emf.ecore.EReference getMarker_IconPalette()
Returns the meta object for the containment reference '`Icon Palette`'.

Returns:
  the meta object for the containment reference 'Icon Palette'.
See Also:
  - `Marker.getIconPalette()`
  - `getMarker()`

### getMarker_Outline

org.eclipse.emf.ecore.EReference getMarker_Outline()
Returns the meta object for the containment reference '`Outline`'.

Returns:
  the meta object for the containment reference 'Outline'.
See Also:
  - `Marker.getOutline()`
  - `getMarker()`

### getMultipleFill

org.eclipse.emf.ecore.EClass getMultipleFill()
Returns the meta object for class '`Multiple Fill`'.

Returns:
  the meta object for class 'Multiple Fill'.
See Also:
  - `MultipleFill`

### getMultipleFill_Fills

org.eclipse.emf.ecore.EReference getMultipleFill_Fills()
Returns the meta object for the containment reference list '`Fills`'.

Returns:
  the meta object for the containment reference list 'Fills'.
See Also:
  - `MultipleFill.getFills()`
  - `getMultipleFill()`

### getMultiURLValues

org.eclipse.emf.ecore.EClass getMultiURLValues()
Returns the meta object for class '`Multi URL Values`'.

Returns:
  the meta object for class 'Multi URL Values'.
See Also:
  - `MultiURLValues`

### getMultiURLValues_URLValues

org.eclipse.emf.ecore.EReference getMultiURLValues_URLValues()
Returns the meta object for the containment reference list '`URL Values`'.

Returns:
  the meta object for the containment reference list 'URL Values'.
See Also:
  - `MultiURLValues.getURLValues()`
  - `getMultiURLValues()`

### getMultiURLValues_Tooltip

org.eclipse.emf.ecore.EAttribute getMultiURLValues_Tooltip()
Returns the meta object for the attribute '`Tooltip`'.

Returns:
  the meta object for the attribute 'Tooltip'.
See Also:
  - `MultiURLValues.getTooltip()`
  - `getMultiURLValues()`

### getMultiURLValues_PropertiesMap

org.eclipse.emf.ecore.EReference getMultiURLValues_PropertiesMap()
Returns the meta object for the map '`Properties Map`'.

Returns:
  the meta object for the map 'Properties Map'.
See Also:
  - `MultiURLValues.getPropertiesMap()`
  - `getMultiURLValues()`

### getNumberFormatSpecifier

org.eclipse.emf.ecore.EClass getNumberFormatSpecifier()
Returns the meta object for class '`Number Format Specifier`'.

Returns:
  the meta object for class 'Number Format Specifier'.
See Also:
  - `NumberFormatSpecifier`

### getNumberFormatSpecifier_Prefix

org.eclipse.emf.ecore.EAttribute getNumberFormatSpecifier_Prefix()
Returns the meta object for the attribute '`Prefix`'.

Returns:
  the meta object for the attribute 'Prefix'.
See Also:
  - `NumberFormatSpecifier.getPrefix()`
  - `getNumberFormatSpecifier()`

### getNumberFormatSpecifier_Suffix

org.eclipse.emf.ecore.EAttribute getNumberFormatSpecifier_Suffix()
Returns the meta object for the attribute '`Suffix`'.

Returns:
  the meta object for the attribute 'Suffix'.
See Also:
  - `NumberFormatSpecifier.getSuffix()`
  - `getNumberFormatSpecifier()`

### getNumberFormatSpecifier_Multiplier

org.eclipse.emf.ecore.EAttribute getNumberFormatSpecifier_Multiplier()
Returns the meta object for the attribute '`Multiplier`'.

Returns:
  the meta object for the attribute 'Multiplier'.
See Also:
  - `NumberFormatSpecifier.getMultiplier()`
  - `getNumberFormatSpecifier()`

### getNumberFormatSpecifier_FractionDigits

org.eclipse.emf.ecore.EAttribute getNumberFormatSpecifier_FractionDigits()
Returns the meta object for the attribute '`Fraction Digits`'.

Returns:
  the meta object for the attribute 'Fraction Digits'.
See Also:
  - `NumberFormatSpecifier.getFractionDigits()`
  - `getNumberFormatSpecifier()`

### getPalette

org.eclipse.emf.ecore.EClass getPalette()
Returns the meta object for class '`Palette`'.

Returns:
  the meta object for class 'Palette'.
See Also:
  - `Palette`

### getPalette_Name

org.eclipse.emf.ecore.EAttribute getPalette_Name()
Returns the meta object for the attribute '`Name`'.

Returns:
  the meta object for the attribute 'Name'.
See Also:
  - `Palette.getName()`
  - `getPalette()`

### getPalette_Entries

org.eclipse.emf.ecore.EReference getPalette_Entries()
Returns the meta object for the containment reference list '`Entries`'.

Returns:
  the meta object for the containment reference list 'Entries'.
See Also:
  - `Palette.getEntries()`
  - `getPalette()`

### getPatternImage

org.eclipse.emf.ecore.EClass getPatternImage()
Returns the meta object for class '`Pattern Image`'.

Returns:
  the meta object for class 'Pattern Image'.
See Also:
  - `PatternImage`

### getPatternImage_Bitmap

org.eclipse.emf.ecore.EAttribute getPatternImage_Bitmap()
Returns the meta object for the attribute '`Bitmap`'.

Returns:
  the meta object for the attribute 'Bitmap'.
See Also:
  - `PatternImage.getBitmap()`
  - `getPatternImage()`

### getPatternImage_ForeColor

org.eclipse.emf.ecore.EReference getPatternImage_ForeColor()
Returns the meta object for the containment reference '`Fore Color`'.

Returns:
  the meta object for the containment reference 'Fore Color'.
See Also:
  - `PatternImage.getForeColor()`
  - `getPatternImage()`

### getPatternImage_BackColor

org.eclipse.emf.ecore.EReference getPatternImage_BackColor()
Returns the meta object for the containment reference '`Back Color`'.

Returns:
  the meta object for the containment reference 'Back Color'.
See Also:
  - `PatternImage.getBackColor()`
  - `getPatternImage()`

### getRotation3D

org.eclipse.emf.ecore.EClass getRotation3D()
Returns the meta object for class '`Rotation3 D`'.

Returns:
  the meta object for class 'Rotation3 D'.
See Also:
  - `Rotation3D`

### getRotation3D_Angles

org.eclipse.emf.ecore.EReference getRotation3D_Angles()
Returns the meta object for the containment reference list '`Angles`'.

Returns:
  the meta object for the containment reference list 'Angles'.
See Also:
  - `Rotation3D.getAngles()`
  - `getRotation3D()`

### getScriptValue

org.eclipse.emf.ecore.EClass getScriptValue()
Returns the meta object for class '`Script Value`'.

Returns:
  the meta object for class 'Script Value'.
See Also:
  - `ScriptValue`

### getScriptValue_Script

org.eclipse.emf.ecore.EAttribute getScriptValue_Script()
Returns the meta object for the attribute '`Script`'.

Returns:
  the meta object for the attribute 'Script'.
See Also:
  - `ScriptValue.getScript()`
  - `getScriptValue()`

### getSeriesValue

org.eclipse.emf.ecore.EClass getSeriesValue()
Returns the meta object for class '`Series Value`'.

Returns:
  the meta object for class 'Series Value'.
See Also:
  - `SeriesValue`

### getSeriesValue_Name

org.eclipse.emf.ecore.EAttribute getSeriesValue_Name()
Returns the meta object for the attribute '`Name`'.

Returns:
  the meta object for the attribute 'Name'.
See Also:
  - `SeriesValue.getName()`
  - `getSeriesValue()`

### getSize

org.eclipse.emf.ecore.EClass getSize()
Returns the meta object for class ' `Size`'.

Returns:
  the meta object for class 'Size'.
See Also:
  - `Size`

### getSize_Height

org.eclipse.emf.ecore.EAttribute getSize_Height()
Returns the meta object for the attribute '`Height`'.

Returns:
  the meta object for the attribute 'Height'.
See Also:
  - `Size.getHeight()`
  - `getSize()`

### getSize_Width

org.eclipse.emf.ecore.EAttribute getSize_Width()
Returns the meta object for the attribute '`Width`'.

Returns:
  the meta object for the attribute 'Width'.
See Also:
  - `Size.getWidth()`
  - `getSize()`

### getStringFormatSpecifier

org.eclipse.emf.ecore.EClass getStringFormatSpecifier()
Returns the meta object for class '`String Format Specifier`'.

Returns:
  the meta object for class 'String Format Specifier'.
See Also:
  - `StringFormatSpecifier`

### getStringFormatSpecifier_Pattern

org.eclipse.emf.ecore.EAttribute getStringFormatSpecifier_Pattern()
Returns the meta object for the attribute '`Pattern`'.

Returns:
  the meta object for the attribute 'Pattern'.
See Also:
  - `StringFormatSpecifier.getPattern()`
  - `getStringFormatSpecifier()`

### getStyle

org.eclipse.emf.ecore.EClass getStyle()
Returns the meta object for class '`Style`'.

Returns:
  the meta object for class 'Style'.
See Also:
  - `Style`

### getStyle_Font

org.eclipse.emf.ecore.EReference getStyle_Font()
Returns the meta object for the containment reference '`Font`'.

Returns:
  the meta object for the containment reference 'Font'.
See Also:
  - `Style.getFont()`
  - `getStyle()`

### getStyle_Color

org.eclipse.emf.ecore.EReference getStyle_Color()
Returns the meta object for the containment reference '`Color`'.

Returns:
  the meta object for the containment reference 'Color'.
See Also:
  - `Style.getColor()`
  - `getStyle()`

### getStyle_BackgroundColor

org.eclipse.emf.ecore.EReference getStyle_BackgroundColor()
Returns the meta object for the containment reference '`Background Color`'.

Returns:
  the meta object for the containment reference 'Background Color'.
See Also:
  - `Style.getBackgroundColor()`
  - `getStyle()`

### getStyle_BackgroundImage

org.eclipse.emf.ecore.EReference getStyle_BackgroundImage()
Returns the meta object for the containment reference '`Background Image`'.

Returns:
  the meta object for the containment reference 'Background Image'.
See Also:
  - `Style.getBackgroundImage()`
  - `getStyle()`

### getStyle_Padding

org.eclipse.emf.ecore.EReference getStyle_Padding()
Returns the meta object for the containment reference '`Padding`'.

Returns:
  the meta object for the containment reference 'Padding'.
See Also:
  - `Style.getPadding()`
  - `getStyle()`

### getStyleMap

org.eclipse.emf.ecore.EClass getStyleMap()
Returns the meta object for class '`Style Map`'.

Returns:
  the meta object for class 'Style Map'.
See Also:
  - `StyleMap`

### getStyleMap_ComponentName

org.eclipse.emf.ecore.EAttribute getStyleMap_ComponentName()
Returns the meta object for the attribute '`Component Name`'.

Returns:
  the meta object for the attribute 'Component Name'.
See Also:
  - `StyleMap.getComponentName()`
  - `getStyleMap()`

### getStyleMap_Style

org.eclipse.emf.ecore.EReference getStyleMap_Style()
Returns the meta object for the containment reference '`Style`'.

Returns:
  the meta object for the containment reference 'Style'.
See Also:
  - `StyleMap.getStyle()`
  - `getStyleMap()`

### getText

org.eclipse.emf.ecore.EClass getText()
Returns the meta object for class ' `Text`'.

Returns:
  the meta object for class 'Text'.
See Also:
  - `Text`

### getText_Value

org.eclipse.emf.ecore.EAttribute getText_Value()
Returns the meta object for the attribute '`Value`'.

Returns:
  the meta object for the attribute 'Value'.
See Also:
  - `Text.getValue()`
  - `getText()`

### getText_Font

org.eclipse.emf.ecore.EReference getText_Font()
Returns the meta object for the containment reference '`Font`'.

Returns:
  the meta object for the containment reference 'Font'.
See Also:
  - `Text.getFont()`
  - `getText()`

### getText_Color

org.eclipse.emf.ecore.EReference getText_Color()
Returns the meta object for the containment reference '`Color`'.

Returns:
  the meta object for the containment reference 'Color'.
See Also:
  - `Text.getColor()`
  - `getText()`

### getTextAlignment

org.eclipse.emf.ecore.EClass getTextAlignment()
Returns the meta object for class '`Text Alignment`'.

Returns:
  the meta object for class 'Text Alignment'.
See Also:
  - `TextAlignment`

### getTextAlignment_HorizontalAlignment

org.eclipse.emf.ecore.EAttribute getTextAlignment_HorizontalAlignment()
Returns the meta object for the attribute '`Horizontal Alignment`'.

Returns:
  the meta object for the attribute 'Horizontal Alignment'.
See Also:
  - `TextAlignment.getHorizontalAlignment()`
  - `getTextAlignment()`

### getTextAlignment_VerticalAlignment

org.eclipse.emf.ecore.EAttribute getTextAlignment_VerticalAlignment()
Returns the meta object for the attribute '`Vertical Alignment`'.

Returns:
  the meta object for the attribute 'Vertical Alignment'.
See Also:
  - `TextAlignment.getVerticalAlignment()`
  - `getTextAlignment()`

### getTooltipValue

org.eclipse.emf.ecore.EClass getTooltipValue()
Returns the meta object for class '`Tooltip Value`'.

Returns:
  the meta object for class 'Tooltip Value'.
See Also:
  - `TooltipValue`

### getTooltipValue_Text

org.eclipse.emf.ecore.EAttribute getTooltipValue_Text()
Returns the meta object for the attribute '`Text`'.

Returns:
  the meta object for the attribute 'Text'.
See Also:
  - `TooltipValue.getText()`
  - `getTooltipValue()`

### getTooltipValue_Delay

org.eclipse.emf.ecore.EAttribute getTooltipValue_Delay()
Returns the meta object for the attribute '`Delay`'.

Returns:
  the meta object for the attribute 'Delay'.
See Also:
  - `TooltipValue.getDelay()`
  - `getTooltipValue()`

### getTooltipValue_FormatSpecifier

org.eclipse.emf.ecore.EReference getTooltipValue_FormatSpecifier()
Returns the meta object for the containment reference '`Format Specifier`'.

Returns:
  the meta object for the containment reference 'Format Specifier'.
See Also:
  - `TooltipValue.getFormatSpecifier()`
  - `getTooltipValue()`

### getURLValue

org.eclipse.emf.ecore.EClass getURLValue()
Returns the meta object for class '`URL Value`'.

Returns:
  the meta object for class 'URL Value'.
See Also:
  - `URLValue`

### getURLValue_BaseUrl

org.eclipse.emf.ecore.EAttribute getURLValue_BaseUrl()
Returns the meta object for the attribute '`Base Url`'.

Returns:
  the meta object for the attribute 'Base Url'.
See Also:
  - `URLValue.getBaseUrl()`
  - `getURLValue()`

### getURLValue_Target

org.eclipse.emf.ecore.EAttribute getURLValue_Target()
Returns the meta object for the attribute '`Target`'.

Returns:
  the meta object for the attribute 'Target'.
See Also:
  - `URLValue.getTarget()`
  - `getURLValue()`

### getURLValue_BaseParameterName

org.eclipse.emf.ecore.EAttribute getURLValue_BaseParameterName()
Returns the meta object for the attribute '`Base Parameter Name`'.

Returns:
  the meta object for the attribute 'Base Parameter Name'.
See Also:
  - `URLValue.getBaseParameterName()`
  - `getURLValue()`

### getURLValue_ValueParameterName

org.eclipse.emf.ecore.EAttribute getURLValue_ValueParameterName()
Returns the meta object for the attribute '`Value Parameter Name`'.

Returns:
  the meta object for the attribute 'Value Parameter Name'.
See Also:
  - `URLValue.getValueParameterName()`
  - `getURLValue()`

### getURLValue_SeriesParameterName

org.eclipse.emf.ecore.EAttribute getURLValue_SeriesParameterName()
Returns the meta object for the attribute '`Series Parameter Name`'.

Returns:
  the meta object for the attribute 'Series Parameter Name'.
See Also:
  - `URLValue.getSeriesParameterName()`
  - `getURLValue()`

### getURLValue_Tooltip

org.eclipse.emf.ecore.EAttribute getURLValue_Tooltip()
Returns the meta object for the attribute '`Tooltip`'.

Returns:
  the meta object for the attribute 'Tooltip'.
See Also:
  - `URLValue.getTooltip()`
  - `getURLValue()`

### getActionType

org.eclipse.emf.ecore.EEnum getActionType()
Returns the meta object for enum '`Action Type`'.

Returns:
  the meta object for enum 'Action Type'.
See Also:
  - `ActionType`

### getAnchor

org.eclipse.emf.ecore.EEnum getAnchor()
Returns the meta object for enum '`Anchor`'.

Returns:
  the meta object for enum 'Anchor'.
See Also:
  - `Anchor`

### getAngleType

org.eclipse.emf.ecore.EEnum getAngleType()
Returns the meta object for enum '`Angle Type`'.

Returns:
  the meta object for enum 'Angle Type'.
See Also:
  - `AngleType`

### getChartType

org.eclipse.emf.ecore.EEnum getChartType()
Returns the meta object for enum '`Chart Type`'.

Returns:
  the meta object for enum 'Chart Type'.
See Also:
  - `ChartType`

### getCursorType

org.eclipse.emf.ecore.EEnum getCursorType()
Returns the meta object for enum '`Cursor Type`'.

Returns:
  the meta object for enum 'Cursor Type'.
See Also:
  - `CursorType`

### getDataPointComponentType

org.eclipse.emf.ecore.EEnum getDataPointComponentType()
Returns the meta object for enum '`Data Point Component Type`'.

Returns:
  the meta object for enum 'Data Point Component Type'.
See Also:
  - `DataPointComponentType`

### getDataType

org.eclipse.emf.ecore.EEnum getDataType()
Returns the meta object for enum '`Data Type`'.

Returns:
  the meta object for enum 'Data Type'.
See Also:
  - `DataType`

### getDateFormatDetail

org.eclipse.emf.ecore.EEnum getDateFormatDetail()
Returns the meta object for enum '`Date Format Detail`'.

Returns:
  the meta object for enum 'Date Format Detail'.
See Also:
  - `DateFormatDetail`

### getDateFormatType

org.eclipse.emf.ecore.EEnum getDateFormatType()
Returns the meta object for enum '`Date Format Type`'.

Returns:
  the meta object for enum 'Date Format Type'.
See Also:
  - `DateFormatType`

### getDirection

org.eclipse.emf.ecore.EEnum getDirection()
Returns the meta object for enum '`Direction`'.

Returns:
  the meta object for enum 'Direction'.
See Also:
  - `Direction`

### getGroupingUnitType

org.eclipse.emf.ecore.EEnum getGroupingUnitType()
Returns the meta object for enum '`Grouping Unit Type`'.

Returns:
  the meta object for enum 'Grouping Unit Type'.
See Also:
  - `GroupingUnitType`

### getHorizontalAlignment

org.eclipse.emf.ecore.EEnum getHorizontalAlignment()
Returns the meta object for enum '`Horizontal Alignment`'.

Returns:
  the meta object for enum 'Horizontal Alignment'.
See Also:
  - `HorizontalAlignment`

### getImageSourceType

org.eclipse.emf.ecore.EEnum getImageSourceType()
Returns the meta object for enum '`Image Source Type`'.

Returns:
  the meta object for enum 'Image Source Type'.
See Also:
  - `ImageSourceType`

### getIntersectionType

org.eclipse.emf.ecore.EEnum getIntersectionType()
Returns the meta object for enum '`Intersection Type`'.

Returns:
  the meta object for enum 'Intersection Type'.
See Also:
  - `IntersectionType`

### getLeaderLineStyle

org.eclipse.emf.ecore.EEnum getLeaderLineStyle()
Returns the meta object for enum '`Leader Line Style`'.

Returns:
  the meta object for enum 'Leader Line Style'.
See Also:
  - `LeaderLineStyle`

### getLegendBehaviorType

org.eclipse.emf.ecore.EEnum getLegendBehaviorType()
Returns the meta object for enum '`Legend Behavior Type`'.

Returns:
  the meta object for enum 'Legend Behavior Type'.
See Also:
  - `LegendBehaviorType`

### getLegendItemType

org.eclipse.emf.ecore.EEnum getLegendItemType()
Returns the meta object for enum '`Legend Item Type`'.

Returns:
  the meta object for enum 'Legend Item Type'.
See Also:
  - `LegendItemType`

### getLineDecorator

org.eclipse.emf.ecore.EEnum getLineDecorator()
Returns the meta object for enum '`Line Decorator`'.

Returns:
  the meta object for enum 'Line Decorator'.
See Also:
  - `LineDecorator`

### getLineStyle

org.eclipse.emf.ecore.EEnum getLineStyle()
Returns the meta object for enum '`Line Style`'.

Returns:
  the meta object for enum 'Line Style'.
See Also:
  - `LineStyle`

### getMarkerType

org.eclipse.emf.ecore.EEnum getMarkerType()
Returns the meta object for enum '`Marker Type`'.

Returns:
  the meta object for enum 'Marker Type'.
See Also:
  - `MarkerType`

### getMenuStylesKeyType

org.eclipse.emf.ecore.EEnum getMenuStylesKeyType()
Returns the meta object for enum '`Menu Styles Key Type`'.

Returns:
  the meta object for enum 'Menu Styles Key Type'.
See Also:
  - `MenuStylesKeyType`

### getOrientation

org.eclipse.emf.ecore.EEnum getOrientation()
Returns the meta object for enum '`Orientation`'.

Returns:
  the meta object for enum 'Orientation'.
See Also:
  - `Orientation`

### getPosition

org.eclipse.emf.ecore.EEnum getPosition()
Returns the meta object for enum '`Position`'.

Returns:
  the meta object for enum 'Position'.
See Also:
  - `Position`

### getRiserType

org.eclipse.emf.ecore.EEnum getRiserType()
Returns the meta object for enum '`Riser Type`'.

Returns:
  the meta object for enum 'Riser Type'.
See Also:
  - `RiserType`

### getRuleType

org.eclipse.emf.ecore.EEnum getRuleType()
Returns the meta object for enum '`Rule Type`'.

Returns:
  the meta object for enum 'Rule Type'.
See Also:
  - `RuleType`

### getScaleUnitType

org.eclipse.emf.ecore.EEnum getScaleUnitType()
Returns the meta object for enum '`Scale Unit Type`'.

Returns:
  the meta object for enum 'Scale Unit Type'.
See Also:
  - `ScaleUnitType`

### getSortOption

org.eclipse.emf.ecore.EEnum getSortOption()
Returns the meta object for enum '`Sort Option`'.

Returns:
  the meta object for enum 'Sort Option'.
See Also:
  - `SortOption`

### getStretch

org.eclipse.emf.ecore.EEnum getStretch()
Returns the meta object for enum '`Stretch`'.

Returns:
  the meta object for enum 'Stretch'.
See Also:
  - `Stretch`

### getStyledComponent

org.eclipse.emf.ecore.EEnum getStyledComponent()
Returns the meta object for enum '`Styled Component`'.

Returns:
  the meta object for enum 'Styled Component'.
See Also:
  - `StyledComponent`

### getTickStyle

org.eclipse.emf.ecore.EEnum getTickStyle()
Returns the meta object for enum '`Tick Style`'.

Returns:
  the meta object for enum 'Tick Style'.
See Also:
  - `TickStyle`

### getTriggerCondition

org.eclipse.emf.ecore.EEnum getTriggerCondition()
Returns the meta object for enum '`Trigger Condition`'.

Returns:
  the meta object for enum 'Trigger Condition'.
See Also:
  - `TriggerCondition`

### getTriggerFlow

org.eclipse.emf.ecore.EEnum getTriggerFlow()
Returns the meta object for enum '`Trigger Flow`'.

Returns:
  the meta object for enum 'Trigger Flow'.
See Also:
  - `TriggerFlow`

### getUnitsOfMeasurement

org.eclipse.emf.ecore.EEnum getUnitsOfMeasurement()
Returns the meta object for enum '`Units Of Measurement`'.

Returns:
  the meta object for enum 'Units Of Measurement'.
See Also:
  - `UnitsOfMeasurement`

### getVerticalAlignment

org.eclipse.emf.ecore.EEnum getVerticalAlignment()
Returns the meta object for enum '`Vertical Alignment`'.

Returns:
  the meta object for enum 'Vertical Alignment'.
See Also:
  - `VerticalAlignment`

### getActionTypeObject

org.eclipse.emf.ecore.EDataType getActionTypeObject()
Returns the meta object for data type '`Action Type Object`'.

Returns:
  the meta object for data type 'Action Type Object'.
See Also:
  - `ActionType`

### getAnchorObject

org.eclipse.emf.ecore.EDataType getAnchorObject()
Returns the meta object for data type '`Anchor Object`'.

Returns:
  the meta object for data type 'Anchor Object'.
See Also:
  - `Anchor`

### getAngleTypeObject

org.eclipse.emf.ecore.EDataType getAngleTypeObject()
Returns the meta object for data type '`Angle Type Object`'.

Returns:
  the meta object for data type 'Angle Type Object'.
See Also:
  - `AngleType`

### getAxisTypeObject

org.eclipse.emf.ecore.EDataType getAxisTypeObject()
Returns the meta object for data type '`Axis Type Object`'.

Returns:
  the meta object for data type 'Axis Type Object'.
See Also:
  - `AxisType`

### getChartDimensionObject

org.eclipse.emf.ecore.EDataType getChartDimensionObject()
Returns the meta object for data type '`Chart Dimension Object`'.

Returns:
  the meta object for data type 'Chart Dimension Object'.
See Also:
  - `ChartDimension`

### getAxisType

org.eclipse.emf.ecore.EEnum getAxisType()
Returns the meta object for enum '`Axis Type`'.

Returns:
  the meta object for enum 'Axis Type'.
See Also:
  - `AxisType`

### getChartDimension

org.eclipse.emf.ecore.EEnum getChartDimension()
Returns the meta object for enum '`Chart Dimension`'.

Returns:
  the meta object for enum 'Chart Dimension'.
See Also:
  - `ChartDimension`

### getChartTypeObject

org.eclipse.emf.ecore.EDataType getChartTypeObject()
Returns the meta object for data type '`Chart Type Object`'.

Returns:
  the meta object for data type 'Chart Type Object'.
See Also:
  - `ChartType`

### getCursorTypeObject

org.eclipse.emf.ecore.EDataType getCursorTypeObject()
Returns the meta object for data type '`Cursor Type Object`'.

Returns:
  the meta object for data type 'Cursor Type Object'.
See Also:
  - `CursorType`

### getDataPointComponentTypeObject

org.eclipse.emf.ecore.EDataType getDataPointComponentTypeObject()
Returns the meta object for data type '`Data Point Component Type Object`'.

Returns:
  the meta object for data type 'Data Point Component Type Object'.
See Also:
  - `DataPointComponentType`

### getDataTypeObject

org.eclipse.emf.ecore.EDataType getDataTypeObject()
Returns the meta object for data type '`Data Type Object`'.

Returns:
  the meta object for data type 'Data Type Object'.
See Also:
  - `DataType`

### getDateFormatDetailObject

org.eclipse.emf.ecore.EDataType getDateFormatDetailObject()
Returns the meta object for data type '`Date Format Detail Object`'.

Returns:
  the meta object for data type 'Date Format Detail Object'.
See Also:
  - `DateFormatDetail`

### getDateFormatTypeObject

org.eclipse.emf.ecore.EDataType getDateFormatTypeObject()
Returns the meta object for data type '`Date Format Type Object`'.

Returns:
  the meta object for data type 'Date Format Type Object'.
See Also:
  - `DateFormatType`

### getDirectionObject

org.eclipse.emf.ecore.EDataType getDirectionObject()
Returns the meta object for data type '`Direction Object`'.

Returns:
  the meta object for data type 'Direction Object'.
See Also:
  - `Direction`

### getGroupingUnitTypeObject

org.eclipse.emf.ecore.EDataType getGroupingUnitTypeObject()
Returns the meta object for data type '`Grouping Unit Type Object`'.

Returns:
  the meta object for data type 'Grouping Unit Type Object'.
See Also:
  - `GroupingUnitType`

### getHorizontalAlignmentObject

org.eclipse.emf.ecore.EDataType getHorizontalAlignmentObject()
Returns the meta object for data type '`Horizontal Alignment Object`'.

Returns:
  the meta object for data type 'Horizontal Alignment Object'.
See Also:
  - `HorizontalAlignment`

### getID

org.eclipse.emf.ecore.EDataType getID()
Returns the meta object for data type '`ID`'.

Returns:
  the meta object for data type 'ID'.
See Also:
  - `String`

### getImageSourceTypeObject

org.eclipse.emf.ecore.EDataType getImageSourceTypeObject()
Returns the meta object for data type '`Image Source Type Object`'.

Returns:
  the meta object for data type 'Image Source Type Object'.
See Also:
  - `ImageSourceType`

### getIntersectionTypeObject

org.eclipse.emf.ecore.EDataType getIntersectionTypeObject()
Returns the meta object for data type '`Intersection Type Object`'.

Returns:
  the meta object for data type 'Intersection Type Object'.
See Also:
  - `IntersectionType`

### getLeaderLineStyleObject

org.eclipse.emf.ecore.EDataType getLeaderLineStyleObject()
Returns the meta object for data type '`Leader Line Style Object`'.

Returns:
  the meta object for data type 'Leader Line Style Object'.
See Also:
  - `LeaderLineStyle`

### getLegendBehaviorTypeObject

org.eclipse.emf.ecore.EDataType getLegendBehaviorTypeObject()
Returns the meta object for data type '`Legend Behavior Type Object`'.

Returns:
  the meta object for data type 'Legend Behavior Type Object'.
See Also:
  - `LegendBehaviorType`

### getLegendItemTypeObject

org.eclipse.emf.ecore.EDataType getLegendItemTypeObject()
Returns the meta object for data type '`Legend Item Type Object`'.

Returns:
  the meta object for data type 'Legend Item Type Object'.
See Also:
  - `LegendItemType`

### getLineDecoratorObject

org.eclipse.emf.ecore.EDataType getLineDecoratorObject()
Returns the meta object for data type '`Line Decorator Object`'.

Returns:
  the meta object for data type 'Line Decorator Object'.
See Also:
  - `LineDecorator`

### getLineStyleObject

org.eclipse.emf.ecore.EDataType getLineStyleObject()
Returns the meta object for data type '`Line Style Object`'.

Returns:
  the meta object for data type 'Line Style Object'.
See Also:
  - `LineStyle`

### getMarkerTypeObject

org.eclipse.emf.ecore.EDataType getMarkerTypeObject()
Returns the meta object for data type '`Marker Type Object`'.

Returns:
  the meta object for data type 'Marker Type Object'.
See Also:
  - `MarkerType`

### getMenuStylesKeyTypeObject

org.eclipse.emf.ecore.EDataType getMenuStylesKeyTypeObject()
Returns the meta object for data type '`Menu Styles Key Type Object`'.

Returns:
  the meta object for data type 'Menu Styles Key Type Object'.
See Also:
  - `MenuStylesKeyType`

### getOrientationObject

org.eclipse.emf.ecore.EDataType getOrientationObject()
Returns the meta object for data type '`Orientation Object`'.

Returns:
  the meta object for data type 'Orientation Object'.
See Also:
  - `Orientation`

### getPatternBitmap

org.eclipse.emf.ecore.EDataType getPatternBitmap()
Returns the meta object for data type 'Pattern Bitmap'.

Returns:
  the meta object for data type 'Pattern Bitmap'.

### getPatternBitmapObject

org.eclipse.emf.ecore.EDataType getPatternBitmapObject()
Returns the meta object for data type '`Pattern Bitmap Object`'.

Returns:
  the meta object for data type 'Pattern Bitmap Object'.
See Also:
  - `Long`

### getPercentage

org.eclipse.emf.ecore.EDataType getPercentage()
Returns the meta object for data type 'Percentage'.

Returns:
  the meta object for data type 'Percentage'.

### getPercentageObject

org.eclipse.emf.ecore.EDataType getPercentageObject()
Returns the meta object for data type ' `Percentage Object`'.

Returns:
  the meta object for data type 'Percentage Object'.
See Also:
  - `Double`

### getPositionObject

org.eclipse.emf.ecore.EDataType getPositionObject()
Returns the meta object for data type '`Position Object`'.

Returns:
  the meta object for data type 'Position Object'.
See Also:
  - `Position`

### getRGBValue

org.eclipse.emf.ecore.EDataType getRGBValue()
Returns the meta object for data type 'RGB Value'.

Returns:
  the meta object for data type 'RGB Value'.

### getRGBValueObject

org.eclipse.emf.ecore.EDataType getRGBValueObject()
Returns the meta object for data type ' `RGB Value Object`'.

Returns:
  the meta object for data type 'RGB Value Object'.
See Also:
  - `Integer`

### getRiserTypeObject

org.eclipse.emf.ecore.EDataType getRiserTypeObject()
Returns the meta object for data type '`Riser Type Object`'.

Returns:
  the meta object for data type 'Riser Type Object'.
See Also:
  - `RiserType`

### getRuleTypeObject

org.eclipse.emf.ecore.EDataType getRuleTypeObject()
Returns the meta object for data type '`Rule Type Object`'.

Returns:
  the meta object for data type 'Rule Type Object'.
See Also:
  - `RuleType`

### getScaleUnitTypeObject

org.eclipse.emf.ecore.EDataType getScaleUnitTypeObject()
Returns the meta object for data type '`Scale Unit Type Object`'.

Returns:
  the meta object for data type 'Scale Unit Type Object'.
See Also:
  - `ScaleUnitType`

### getSortOptionObject

org.eclipse.emf.ecore.EDataType getSortOptionObject()
Returns the meta object for data type '`Sort Option Object`'.

Returns:
  the meta object for data type 'Sort Option Object'.
See Also:
  - `SortOption`

### getStretchObject

org.eclipse.emf.ecore.EDataType getStretchObject()
Returns the meta object for data type '`Stretch Object`'.

Returns:
  the meta object for data type 'Stretch Object'.
See Also:
  - `Stretch`

### getStyledComponentObject

org.eclipse.emf.ecore.EDataType getStyledComponentObject()
Returns the meta object for data type '`Styled Component Object`'.

Returns:
  the meta object for data type 'Styled Component Object'.
See Also:
  - `StyledComponent`

### getTickStyleObject

org.eclipse.emf.ecore.EDataType getTickStyleObject()
Returns the meta object for data type '`Tick Style Object`'.

Returns:
  the meta object for data type 'Tick Style Object'.
See Also:
  - `TickStyle`

### getTriggerConditionObject

org.eclipse.emf.ecore.EDataType getTriggerConditionObject()
Returns the meta object for data type '`Trigger Condition Object`'.

Returns:
  the meta object for data type 'Trigger Condition Object'.
See Also:
  - `TriggerCondition`

### getTriggerFlowObject

org.eclipse.emf.ecore.EDataType getTriggerFlowObject()
Returns the meta object for data type '`Trigger Flow Object`'.

Returns:
  the meta object for data type 'Trigger Flow Object'.
See Also:
  - `TriggerFlow`

### getUnitsOfMeasurementObject

org.eclipse.emf.ecore.EDataType getUnitsOfMeasurementObject()
Returns the meta object for data type '`Units Of Measurement Object`'.

Returns:
  the meta object for data type 'Units Of Measurement Object'.
See Also:
  - `UnitsOfMeasurement`

### getVerticalAlignmentObject

org.eclipse.emf.ecore.EDataType getVerticalAlignmentObject()
Returns the meta object for data type '`Vertical Alignment Object`'.

Returns:
  the meta object for data type 'Vertical Alignment Object'.
See Also:
  - `VerticalAlignment`

### getAttributeFactory

AttributeFactory getAttributeFactory()
Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.